v 7.34.2 - 25 June 2026
- Fixed: An issue with HTML content in notification settings not being properly preserved.

v 7.34.1 - 22 June 2026
- Fixed: A styling issue in the classic calendar view within booking calendar.
- Fixed: An issue in Novel style of the monthly view skin.

v 7.34.0 - 21 June 2026
- Added: A new feature in shortcodes to display only events, only appointments, or both at the same time.
- Added: An interface to manage event colors.
- Added: More details to PayPal transactions.
- Added: An option to control visibility of ticket fields (minimum ticket, maximum ticket, stop selling) in Frontend Event Submission.
- Enhanced: MEC security by hardening some sections.
- Improved: The search module functionality.
- Enhanced: Accessibility of frontend calendars.
- Improved: MEC Restful API by adding new endpoints for category, label, speaker, tag, and sponsor management.
- Improved: Accessibility of social share module.
- Enhanced: The search functionality to include multiple day events in applicable months.
- Improved: WooCommerce integration.
- Improved: The ticket section UX in Frontend Event Submission with labels and tooltips.
- Improved: The Booking Express Calendar with a new design.
- Fixed: A date format issue in map module.
- Fixed: An issue in XML import of events.
- Fixed: A localization issue in General calendar.
- Fixed: An issue in bulk actions of MEC backend in large scale websites.
- Fixed: An issue in displaying true seats in exports.
- Fixed: Some PHP issues.
- Fixed: A date format issue in Masonry skin.
- Fixed: An issue in Stripe connect gateway.
- Fixed: An issue in displaying booking data in PDF invoices.
- Fixed: Some issues in invalid single event pages.
- Fixed: Centered the wizard popup on all screen sizes.

v 7.33.0 - 16 May 2026
- Added: Conditional form option to booking forms.
- Added: Page number to attendees page.
- Added: Export All Attendees buttons in attendees page.
- Added: A category filter for countdown skin.
- Added: Some accessibility enhancements.
- Added: An ability to remove API keys.
- Applied: Some enhancements.
- Enhanced: The event creation API.
- Applied: Some display enhancements regarding coupon module.
- Suppress booking confirmations during booking import.
- Suppress attendee reports notifications when no attendee is available.
- Enhanced: Mailchimp integration.
- Fixed: An issue in map skin and elementor.
- Fixed: An issue in creating speakers in Frontend Event Submission.
- Fixed: Some PHP issues and warnings.
- Fixed: An issue in available ticket count.
- Fixed: An issue in countdown module.
- Fixed: An issue in free bookings in MEC Cart.
- Fixed: An issue in locale loading.
- Fixed: A time display issue in list view.
- Fixed: An issue in certificate generation system.
- Fixed: Some issues in search widget.

v 7.32.0 - 7 April 2026
- Added: Comprehensive attendees page for events to filter and manage attendees per occurrence.
- Added: An ability to change the countdown method globally.
- Enhanced: The security of Frontend Submission.
- Enhanced: The Restful API for security and error handling.
- Enhanced: X social network share option.
- Fixed: An issue in booking module.
- Fixed: Some issues in Divi integration.
- Fixed: An issue in displaying localized date and times.
- Fixed: An issue in next / previous icons of date picker.
- Fixed: An issue in displaying content of agreement field when used in Per Attendee Fields.
- Fixed: An issue in displaying per attendee price in booking exports.
- Fixed: Some PHP errors related newer versions.

v 7.31.0 - 2 March 2026
- Added: An option to import appointment services from Bookly and Amelia plugins.
- Added: An ability to display appointment time slots in shortcakes.
- Added: An option to change the notification send intervals per event.
- Enhanced: MEC Backend menus for better speed and resource usage.
- Enhanced: Some SQL queries.
- Fixed: Some issue in masonry skin.
- Fixed: Some issues in displaying Multiple Day Events.
- Fixed: An issue in date filter of search module when using some certain date formats.
- Fixed: Some issues in booking cancellation and attendee reports notifications.
- Fixed: Some issues in MEC user creation flow.
- Fixed: Some PHP notice and warning issues.

v 7.30.1 - 3 February 2026
- Fixed: Invalid characters/whitespace

v 7.30.0 - 31 January 2026
- Added: An ability to perform an address radius search to find the events.
- Improved: The Restful API by adding information of event labels.
- Improved: The MEC tags system.
- Added: End date and descending order to the tile skin.
- Fixed: Couple of issues in search bar.
- Resolved: An issue in making event description field required in the Frontend submission.
- Fixed: Some PHP issues.
- Fixed: An issue in ticket variations and tax / fees system regarding special characters.
- Fixed: Some issues in Exceptional Days module.
- Fixed: Some minor issues.

v 7.29.0 - 25 December 2025
- Added: An advanced feature to apply the search criteria to the browser URL.
- Added: An option to disable default invoice attached to the booking notifications.
- Improved: The codes to be integrated with WordPress 6.9
- Improved: The default validation rules of name field in booking module.
- Improved: The event schema for having event time in addition to event date.
- Improved: Event/Appointment switcher style.
- Fixed: Some issues in Stripe Connect gateway.
- Fixed: An issue in displaying time of search bar.
- Fixed: An issue in displaying ticket prices when the price label is not inserted.
- Fixed: Some issues in iCal rrule generation for advanced events.
- Fixed: Some minor issues.

v 7.28.0 - 29 November 2025
- Added: A new delivery method for new event notification.
- Added: Active and expired filter for Frontend Event Submission.
- Added: Custom regex for booking fields.
- Added: Archive events method.
- Added: "Export & Purge" feature for booking maintenance.
- Fixed: An issue in displaying errors in booking module.
- Fixed: A cart empty issue in MEC Cart system.
- Fixed: Some issues in constant contact integration.
- Fixed: Some issues in dropdown of search module.
- Fixed: An issue regarding attachments and some notifications placeholders.
- Fixed: An issue in view attendees link of admin calendar view.
- Hide ticketing labels when event is expired.


v 7.27.0 - 25 October 2025
- Added: Attachable invoice to the booking confirmation email.
- Added: The sort ability to tickets, fees, ticket variations and FAQ.
- Added: Event duration to the iCal feed.
- Improved: The shortcode builder by adding some select2 fields.
- Improved: The quantity display in Woo Cart.
- Optimized: The MEC storage for WP options.
- Optimized: The MEC single page for better caching and better load speed.
- Fixed: Some PHP notices and warnings.
- Fixed: An issue about loading non public events in iCal feed.
- Fixed: An issue in JSON-LD Schema.
- Fixed: An issue in the search bar.
- Fixed: An issue in the get events API.
- Fixed: An issue in multilingual MEC carts.
- Fixed: An issue in displaying maximum buyable tickets in the booking module.
- Fixed: Missing label for Search Input field causing accessibility warning.
- Fixed: Some minor issues.

v 7.26.0 - 20 September 2025
- Added: No Repeat type for the appointments.
- Added: Maximum bookings per day option for the appointments.
- Added: Image size option to the applicable skins.
- Added: Send notification only to first attendee to different notifications.
- Added: Start date option for the appointment system.
- Added: Scheduling window for the appointments system.
- Improved: The Stripe item title.
- Improved: Google Maps and its marker libraries.
- Improved: The booking module validations.
- Fixed: An issue in iCal export of events and the start date and time.
- Fixed: Some issues in mailchimp integration.
- Fixed: An issue in changing upload directory.
- Fixed: An issue in daily skin.
- Fixed: Some minor issues.

v 7.25.0 - 17 August 2025
- Added: Sort feature for hourly schedule.
- Added: Attendee report notification and cronjob to send it automatically.
- Added: Buffer time for appointment system.
- Added: Adjusted availability to override default availability in the appointment system.
- Fixed: Some timezone issues in iCal feeds.
- Fixed: An issue in booking filters.
- Fixed: Some PHP notices and warnings.
- Fixed: Some issues in weekly and monthly skins.
- Fixed: An issue in tickets count in admin events management.
- Fixed: An XSS vulnerability.
- Fixed: An issue in setting total booking limits per occurrence.
- Fixed: An issue in displaying cancelation link.
- Fixed: Some minor issues.

v 7.24.0 - 9 July 2025
- Released: Appointment system phase 1.
- Improved: The performance of some modules.
- Improved: The booking CSV import to import custom fields too.
- Added: full RTL support for frontend.
- Fixed: An issue in reset button of search widget.
- Fixed: Couple of issues in changing event times in custom days events.
- Fixed: An issue in displaying next occurrence of events.
- Fixed: Some PHP notice and warning errors.
- Fixed: Some issues in partial payments and coupons.
- Fixed: A few security vulnerabilities.
- Fixed: Some issues in date formats for single and multiple day events.
- Fixed: An issue in with integration to membership pro plugin.

v 7.23.0 - 7 June 2025
- Added: An event search form to the frontend submission.
- Improved: The backend booking menu date filter to support multiple date bookings in addition to single date bookings.
- Fixed: Some issues in family tickets.
- Fixed: An issue in displaying booked tickets in multi-lingual events.
- Added: Exclude filter to the general skin.
- Fixed: An issue regarding sponsor filter.
- Fixed: An issue in booking export.
- Fixed: Some PHP errors and notices.
- Fixed: Some minor issues.

v 7.22.0 - 7 May 2025
- Added: Tickets endpoint to the restful API.
- Added: Tax / fees endpoint to the restful API.
- Added: An ability to make the organizer field required in “Frontend Submission”.
- Added: An option to restrict the related events in “Frontend Submission” to current user only.
- Added: Translation ability for the more text in general skin.
- Enhanced: The QR code generation and storage.
- Fixed: An issue in displaying only expired events.
- Fixed: Some PHP warning and notices.
- Fixed: An issue in downloading event attendees from frontend dashboard.
- Fixed: Issue of displaying “Create New Event” button in WordPress dashboard for non authorized users.
- Fixed: An issue with events external links.
- Fixed: An issue in the include / exclude filters for the hierarchical categories and locations.
- Fixed: An issue in admin notification for displaying main attendee information.
- Fixed: An issue in agreement checkbox for the “Frontend Submission”.
- Fixed: An issue in stripe invoice for MEC cart system.
- Fixed: Email validation issue in booking form.
- Fixed: Some date and hour display issue for custom day events in special conditions.
- Fixed: An issue in filtering ongoing events in grid skin.
- Fixed: Some issues for single event date formats.

v 7.21.0 - 9 April 2025
- Added: Icons endpoint to the Restful API.
- Added: Weather endpoint to the Restful API.
- Added: Related Events endpoint to the Restful API.
- Added: Next / Previous Events endpoint to the Restful API.
- Added: Next Occurrences endpoint to the Restful API.
- Added: Attendee Fields endpoint to the Restful API.
- Added: Booking Fields endpoint to the Restful API.
- Added: Ticket Variations endpoint to the Restful API.
- Improved: The navigation in admin calendar view of events.
- Improved: The downloadable file feature to allow users to choose files from WordPress media system.
- Fixed: An issue in importing multi-lingual WPML events from third party plugins.
- Fixed: An image issue in WooCommerce payment system.
- Fixed: Active day issue in timetable skin.
- Fixed: Some issues in sending certificates.
- Fixed: An issue in displaying wrong status and time for custom day events in rare conditions.
- Fixed: Some issues in displaying next occurrences in the single event page.
- Fixed: A product trash issue in WooCommerce payment system.
- Fixed: Some issues in admin calendar view regarding displaying total attendees.
- Fixed: An issue in style per event feature.
- Fixed: Some issues in the search forms.
- Fixed: An issue in booking of custom day events.
- Fixed: Responsive styling issue in Countdown View
- Fixed: Some other minor issues.

v 7.20.0 - 24 February 2025
- Added: Update event route to the RESTful API.
- Added: Upload image route to the RESTful API.
- Added: Upload attachment route to the RESTful API.
- Added: Get custom fields route to the RESTful API.
- Added: Speaker to the shortcode filter options.
- Added: %%ics_link_all_occurrences%% placeholder to download ics file of all occurrences of event.
- Added: An option to manage other organizers field in Frontend Event Submission.
- Improved: The location, organizer and speaker links to open in a new page by default.
- Improved: The placeholders of admin notification.
- Improved: The compatibility with PHP 8.3
- Fixed: An issue in Pay By WooCommerce gateway.
- Fixed: An issue in full calendar and monthly skin.
- Fixed: An issue in default value of other organizers field.
- Fixed: Some errors during import / export.
- Fixed: Some issues in time picker fields.
- Fixed: Issue with the Register button not working properly on Android
- Fixed: Primary and Secondary Border-radius values resetting unexpectedly

v 7.19.0 - 19 January 2025
- Added: Event Create endpoint to the RESTful API.
- Added: Enhanced dropdown to the dropdown fields of search module.
- Added: An option to load global tickets for existing events when all other tickets are removed.
- Added: An option to change the secondary border-radius in settings.
- Improved: The tile skin.
- Improved: The partial payment system.
- Updated: Some language files.
- Fixed: Some issues in the search module.
- Fixed: Some issues in pay by WooCommerce system.
- Fixed: Some issues in XML export / import.
- Fixed: Some other minor issues.

v 7.18.0 – 23 December 2024
- Added: An ability to insert full data of sponsors in Frontend Submission.
- Added: An ability to insert full data of speakers in Frontend Submission.
- Added: Login command to the restful API.
- Added: Trash event command to the restful API.
- Added: Delete event command to the restful API.
- Added: My events command to the restful API.
- Added: An option to restrict MEC coupon codes to be applicable only for one booking in MEC cart.
- Added: An option to change the primary border-radius in settings.
- Improved: The Edit Per Occurrence option to be compatible with WPML.
- Improved: The MEC translation option.
- Improved: The search bar by adding enhanced drop-downs.
- Improved: The PayPal standard gateway.
- Fixed: An issue with importing custom days events using .ics file.
- Fixed: An issue in XML export.
- Fixed: An issue in weekly skin regarding displaying the active day.
- Fixed: Some issues in countdown skin.

v 7.17.1 – 30 November 2024
- Fixed: An issue with bookings export.

v 7.17.0 – 24 November 2024
- Added: An ability to accept both full and partial payments at the same time.
- Added: A new option to set event status for existing events updating using the Frontend Event Submission.
- Added: An option to set custom hour for “Hide Events” option.
- Redeveloped: The Constant Contact integration based on their new API.
- Improved: Security of some links.
- Improved: Validation of tel inputs in booking module.
- Fixed: Some issues in map view of shortcodes.
- Improved: The structure of MEC cron jobs.
- Fixed: An issue in gallery module of Frontend Event Submission.

v 7.16.0 – 27 October 2024
- Added: Google Recaptcha v3 support.
- Added: An option to create a WordPress user for all attendees instead of only main attendee.
- Added: Event details endpoint to the restful API.
- Fixed: An issue with registration button and it now hides when ticket sales window has ended.
- Fixed: Some issues in certificate system.
- Fixed: Some issues regarding placeholders in notifications.
- Fixed: Some issues with notification recipients.
- Fixed: Some issues in PayPal gateway and decimal payable amount after fee applying.
- Fixed: Some issues in short-codes with descending order.
- Fixed: An issue with coupon codes and PayPal gateway.
- Fixed: Some encoding issues when sending notifications.

v 7.15.0 – 28 September 2024
- Added: An option to PMP integration to restrict a certain ticket for certain user levels.
- Added: Event search to the Restful API System.
- Added: Auto month rotation in monthly skin of full calendar.
- Updated: Lity package.
- Fixed: An issue in year dropdown in search module.
- Fixed: An issue in search and displaying ongoing events.
- Fixed: An issue in displaying 6th row of calendar when unnecessary.
- Fixed: An issue in changing icons in MEC lite.
- Fixed: An issue in displaying the total ticket count in backend event management.
- Fixed: An issue in event maintenance feature.
- Fixed: An issue in weekly skin for activating the first date with event.
- Fixed: An issue in sending multilingual notifications.

v 7.14.1 – 8 September 2024
- Fixed: An issue in RESTful API.

v 7.14.0 – 1 September 2024
- Added: The RESTful API management.
- Added: Inter to the available fonts.
- Added: Events to the days of previous and next months in monthly skin.
- Improved: The stripe metadata and description.
- Improved: JS minified files.
- Improved: Displaying other occurrences in email notifications.
- Fixed: Some issues regarding timetable start date.
- Fixed: An issue in iCal feed regarding displaying not published events.
- Fixed: An issue in displaying background image in some skins.
- Fixed: An issue in displaying event cost.
- Fixed: An issue regarding modal window in full calendar.

v 7.13.0 – 4 August 2024
- Added: GDPR compliance to send other email notifications after email verification
- Added: Option to remove an event after last day of event
- Added: Dropdown input for tags
- Added: EventRescheduled status
- Added: Auto scroll to the message after event submission in frontend event submission
- Improved: The event maintenance feature by adding repeating events
- Improved: Accessibility in some parts
- Improved: The security of Frontend Event Submission
- Improved: The event title per occurrence
- Fixed: Some icon issues
- Fixed: Issue in CSV and Excel export
- Fixed: SQL error
- Fixed: Issue in PayPal Express and MEC Cart
- Fixed: Issue in loading new events
- Fixed: Issue in event description placeholder
- Fixed: Some PHP errors
- Fixed: Event display issue in modern & clean style of monthly skin

v 7.12.1 – 17 July 2024
- Fixed: Content, organizer and cost widget in Elementor Single Builder addon
- Fixed: Some minor issues

v 7.12.0 – 6 July 2024
- Added: Booking reschedule notification to the move booking form
- Added: Option to not accept the duplicate emails in booking module
- Added: Option to change events page in breadcrumbs
- Added: Display of sold / all tickets in the backend event manager
- Improved: The events import from TEC
- Improved: The global tickets
- Fixed: Issue in search module regarding tag field
- Fixed: Date & time issue in general calendar
- Fixed: Some security issues
- Fixed: Auto scroll issue in booking module
- Fixed: Couple of issues regarding Subscribe + to Calendar feature
- Fixed: Some PHP notices
- Fixed: Issue in booking export feature
- Fixed: Issue in number of events in general calendar
- Fixed: Issue in maximum dates of booking module
- Fixed: Content issue in tooltip of monthly skin

v 7.11.0 – 9 June 2024
- Added: Mass email feature to suggest new events to previous bookers
- Added: Option to move bookings and notify the bookers while canceling a certain occurrence of event
- Improved: The event data feature
- Improved: The Frontend Event Submission by making the event pending for review after each update
- Fixed: Issue in monthly skin
- Fixed: Issue in autoplay feature of carousel skin in mobile devices
- Fixed: Issue in family tickets

v 7.10.0 – 12 May 2024
- Added: Ability to insert ticket prices tax included
- Added: Booking fixed fields to the attendee export in frontend
- Improved: Backend event management
- Improved: Event Schema
- Improved: Downloadable file module
- Fixed: Issue in displaying date and times in booking module
- Fixed: Conflict with Elementor plugin
- Fixed: Issue in search module and refine feature
- Fixed: Issue in import bookings by CSV feature
- Fixed: Issue in booking cancelation link
- Fixed: Some security issues
- Fixed: Issue in integration with WooCommerce third party payment gateways
- Fixed: Capability issue in Frontend Event Management
- Fixed: Issue in displaying location phone
- Fixed: Issue in attendee price placeholder
- Fixed: Issue in edit booking menu regarding displaying dates
- Fixed: Some issues in weather module
- Fixed: Issue with booking for ongoing events
- Fixed: Issue with RSS feed
- Fixed: Issue in displaying the event content in pop up mode
- Fixed: Issue in stop selling tickets feature of booking module

v 7.9.0 – 15 April 2024
- Added: Sidebar feature for the archive and category pages
- Added: Ability to request billing address in Stripe gateway
- Added: Placeholders for ticket variations
- Improved: The functionality and integration of event start / end date pickers
- Fixed: Some issues in PHP 8.2
- Fixed: Issue in removing attendees in edit booking
- Fixed: Issue regarding a dependency in MEC
- Fixed: Issue in locking pre-filled fields in booking module
- Fixed: Accessibility issues in slider buttons
- Fixed: Issue in displaying location icon twice in event banner
- Fixed: Issue in global tickets option
- Fixed: Some minor issues

v 7.8.0 – 14 March 2024
- Added: Notice for lite users to update to the newest version
- Added: Some new filters for better integration with third party developers
- Improved: Structured data for speakers
- Fixed: Paragraph issue in event custom data
- Fixed: Issue in gallery module of frontend submission
- Fixed: Conflict in elementor
- Fixed: Issue regarding uploaded files when using WooCommerce payment
- Fixed: Issue in WordPress quick edit
- Fixed: Issue in displaying location phone in modals
- Fixed: Issue in certificate notifications
- Fixed: Issue in event import from a third party plugin

v 7.7.1 – 9 March 2024
- Fixed: Download invoice in single booking page
- Fixed: Addons page

v 7.7.0 – 6 March 2024
- Added: Option to filter events by excluding tags in shortcode builder
- Added: Option to filter events by excluding labels in shortcode builder
- Added: Option to filter events by excluding authors in shortcode builder
- Added: Three new options as start date of tile skin
- Added: Option to enable / disable ability to add new sponsors in Frontend Event Submission
- Added: Option to apply discount codes on fees in addition to ticket prices
- Improved: Upload media structure by improving the accessibility and security of files uploaded via booking module
- Improved: Edit link in Frontend Event Submission feature
- Fixed: Decimal amount issue in PayPal gateway
- Fixed: Some issues in search widget
- Fixed: Issue in sending user credentials when auto registration is enabled
- Fixed: Issue in booking form regarding mandatory username and password fields
- Fixed: Issue in Lock Pre-filled Fields feature
- Fixed: Issue in Novel style of grid skin
- Fixed: Some issues in booking form
- Fixed: Issue in loading style of monthly skin
- Fixed: Issue about detecting total days of last month
- Fixed: Issue in displaying custom fields in shortcakes

v 7.6.0 – 3 February 2024
- Added: Phone option to the locations
- Added: Option to display all upcoming occurrences of event in booking module despite of referred date
- Added: Ticket variation shortcode
- Added: Ability to define new sponsors in FES
- Redeveloped: Meetup importer
- Improved: Events management in FES
- Improved: The link target option in FES
- Fixed: Issue in next event module
- Fixed: Calculation issue in Use WooCommerce as Payment System feature
- Fixed: Some issues in exporting bookings
- Fixed: Display cancelation reason issue in agenda skin
- Fixed: Issue in displaying Subscribe To Calendar feature when ical feed is disabled

v 7.5.1 – 10 January 2024
- Fixed: Register button for modal booking

v 7.5.0 – 6 January 2024
- Added: Hourly schedule shortcode
- Added: Availability dates for tickets
- Added: Global option for using featured images as banner images
- Improved: The private_description placeholder of tickets
- Improved: How Activate First Upcoming Date with Event option works in monthly skins
- Improved: The structured data
- Improved: The select2 field
- Fixed: Issue in PayPal gateway
- Fixed: Issue in creating daily events with very high length
- Fixed: Issue in “Thank you page” option of FES
- Fixed: Issue in displaying event excerpt
- Fixed: Issue in displaying hourly schedules for occurrences
- Fixed: Some PHP issues
- Fixed: Some issues in exporting bookings
- Fixed: Some issues in display of icons
- Fixed: Issue in deleting icons using icon picker

v 7.4.0 – 6 December 2023
- Added: Option to disable the end time display globally
- Added: Ability to sort the speakers
- Added: Option to add global exceptional days
- Added: Ability to change position of hourly schedule plan with drag and drop
- Added: Ability to browse next / previous dates in the booking form in admin
- Improved: related events module
- Improved: compatibility with GDPR plugins
- Improved: Frontend Event Submission feature by auto recognizing the organizer based on current user
- Improved: Ical feed
- Fixed: Issue in bookings with 100% discount coupons

v 7.3.0 – 11 November 2023
- Added: Advanced icon picker for changing the default icons of single events and shortcodes.
- Added: Global default tickets feature.
- Added: Option to omit end dates in the booking module when the start and end dates are equal.
- Added: Time to the booking date column in the backend booking manager.
- Improved: Time picker format.
- Improved: The booking CSV importer.
- Improved: The avatar display.
- Improved: Day highlight in the monthly skin.
- Updated: Sample CSV file.
- Fixed: Issue in the notifications form.
- Fixed: A couple of SQL issues.
- Fixed: Compatibility issue between Frontend Submission and multilingual plugins.
- Fixed: Some issues when the event banner is enabled.
- Fixed: Some issues with event colors.
- Fixed: Some issues with filtering the events.

v 7.2.2 – 20 October 2023
- Fixed: Issue in displaying bookings in admin

v 7.2.0 – 14 October 2023
- Added: Certificate builder feature
- Added: Attendees information to the admin calendar view
- Added: Option to rerun the database installation
- Added: Ability to cancel (and refund) all bookings of a certain occurrence while marking that occurrence as canceled.
- Added: Attendee phone numbers to the admin booking manager
- Improved: event and booking excel exporters
- Improved: Booking CSV importer
- Improved: Date display when an expired event opens directly
- Improved: Event color system and used category color as fallback color in all cases
- Improved: Admin calendar view
- Fixed: Issue in ticket selection in booking module
- Fixed: Conflict between WP Media and MEC
- Fixed: Issue regarding event gallery in Frontend Submission
- Fixed: PHP errors
- Fixed: Issues about field mapping in booking module
- Fixed: Issue about displaying ticket price label
- Fixed: Total cost display issue in MEC Cart
- Fixed: Issues in notifications
- Fixed: Integration issues in multilingual websites
- Fixed: Date filter

v 7.1.0 – 17 September 2023
- Added: Option to disable organizer feature
- Added: Category shortcode
- Improved: The booking edit feature
- Fixed: Issue in fee / taxes calculation
- Fixed: some issues in lite version
- Fixed: Issue in Expired Events page in backend
- Fixed: Issue regarding event repeating system
- Fixed: Couple of issues in Frontend Submission about the image upload and management

v 7.0.0 – 20 August 2023
- Refactored: Settings menu
- Refactored: Add / Edit event menu in backend
- Restructured: Event editor fields
- Updated: Documentation based on new settings
- Added: New placeholder to print all booking fixed fields
- Fixed: Issue in reset button of search form
- Fixed: Issue in multiple date bookings and payment with WooCommerce
- Fixed: Issue in search bar feature
- Fixed: Issue in event links in novel style of monthly skin
- Fixed: Issue in moving bookings to another occurrence

v 6.11.5 – 1 August 2023
- Added: Ability to cancel and refund bookings from Event Editor.
- Improved: TEC importer.
- Improved: Event banner feature.
- Improved: Integration for event excerpt with some multilingual plugins.
- Improved: UX of fee module and fixed some issues.
- Fixed: Some integration issues related to Elementor plugin.
- Fixed: Some issues in search module.
- Fixed: Issues related to WooCommerce
- Fixed: Some minor issues

v 6.11.0 – 20 July 2023
- Added: Subscribe to Calendar feature
- Improved: Event banner feature
- Improved: Related events
- Fixed: Import recurring events from TEC plugin
- Fixed: Issue in filtering events in full calendar when descending order is enabled for list and grid
- Fixed: Two issues in lite version regarding displaying credit message and load more button in backend
- Fixed: Issue in RSS feed regarding event featured image
- Fixed: Issue in FAQ module in modal method
- Fixed: Issue in multiple date bookings
- Fixed: Issue regarding security captcha in modal windows
- Fixed: Issue in sending event date & times to Google calendar and including in ical
- Fixed: Issue in getting UTC offset
- Fixed: MEC Profile responsive issue
- Fixed: Timetable - Clean skin responsive issue
- Fixed: Minor styling issues

v 6.10.5 – 14 June 2023
- Added: Event banner feature.
- Added: Ability to use WordPress Media window for uploading images in FES when current user has access to media.
- Added: Feature to set related events manually per each event.
- Fixed: Issue in displaying all organizers when organizers are changed per occurrence.
- Fixed: Issue regarding MEC profile shortcode.
- Fixed: Issue in importing ics files.
- Fixed: Issue in required radio files.
- Fixed: Styling issue on list view modern skin social buttons.
- Fixed: Some PHP notices.

v 6.10.1 – 1 June 2023
- Added: Ability to download the debug log file.
- Improved: The iCal feed.
- Improved: PayPal standard by adding invoice description.
- Fixed: Issue in map skin.
- Fixed: Issue in booking edit menu regarding displaying dates.
- Fixed: Issue in FAQ feature.
- Fixed: Some PHP issues.
- Fixed: Issue about the event cost feature in lite version.
- Fixed: Issue in displaying organizers in short-codes.

v 6.10.0 – 22 May 2023
- Added: Remaining time label.
- Added: Event Trailer URL.
- Added: Option to change booking date selection method per event.
- Added: Variations to the stripe payment metadata.
- Added: Reset occurrence button to the next event module.
- Added: RTL languages support for General Calendar view
- Fixed: Issue in booking required fields.
- Fixed: Translation issue.
- Fixed: Some accessibility issues.
- Fixed: Issue in MailPoet integration.
- Fixed: Issue in quick edit of events.
- Fixed: Issue in displaying occurrence price in booking module.
- Fixed: Issue in location name placeholder in notifications.
- Fixed: Some minor issues in styling

v 6.9.6 – 17 May 2023
- Fixed: Display reg fields in booking

v 6.9.5 – 15 May 2023
⁃ Added: Ability to create random test events.
⁃ Added: FAQ feature.
- Fixed: Some minor issues

v 6.9.0 – 26 April 2023
- Added: SMS Integration with Twilio API.
- Added: Option to automatically trash expired events after certain amount of time.
- Added: Option to automatically remove expired events after certain amount of time.
- Added: Event location to the booking export files.
- Added: Ability to change the currency in translated events.
- Added: Ability to change the MEC messages per language.
- Improved: Security.
- Improved: Accessibility of search module.
- Improved: The single sidebar widget.
- Fixed: PHP notices.
- Fixed: Issues in MEC_profile shortcode.
- Fixed: Issues in exporting events to Google Calendar.
- Fixed: Issues in displaying search terms while displaying ongoing events.
- Fixed: Issue while using Divi theme.
- Fixed: Issue in displaying number of sold tickets in admin event manager page.
- Fixed: Issue in general calendar skin.

- Applied some minor improvements.
- Fixed an issue in “Use WooCommerce as Payment System”.
- Fixed some PHP 8 issues.

v 6.8.30 – 8 April 2023
- Added: Location, category, and organizer filter options to the iCal feed to filter the feeds and also create unlimited number of feeds.
- Added: Sync to the start and end date pickers in Add / Edit event menu and Frontend Event Submission.
- Added: Debug message to fix a potential timezone selection issue.
- Added: System Information section to the support menu.
- Improved: The featured image upload in Frontend Event Submission to disable the submission button while uploading.
- Improved: The WooCommerce as Payment System product creation.
- Fixed: Issue in Frontend Event Submission pagination.
- Fixed: Content issue in simple style of monthly skin.
- Fixed: Filter by event issue on booking management page.
- Fixed: Date selection issue in booking module.
- Fixed: Some location issues in map skin and map module.
- Fixed: Issue with progress bar.
- Fixed: Issue in general calendar.
- Fixed: Displaying issue on showing event content when the content is created by Elementor plugin.

v 6.8.25 – 15 March 2023
- Added: Sponsors to the default filter options of shortcode builder.
- Added: Option to display credit URL in shortcodes.
- Added: Ability to edit the custom dates.
- Added: Upcoming View to the event management of admin.
- Improved: Displaying event dates in booking module.
- Improved: Form validation in booking module.
- Fixed: Issue in scroll pagination method.
- Fixed: Integration issue with Paid Membership Pro plugin.
- Fixed: Issue in the popup mode of booking module.
- Fixed: Issue in back button of booking module.
- Fixed: Issue in search module regarding excluded terms.
- Fixed: Issue in displaying social links of additional organizers.
- Fixed: Some issues related to the PHP 8.1
- Fixed: Some minor issue in styling

v 6.8.21 – 1 March 2023
- Fixed: Fatal error issue

v 6.8.20 – 1 March 2023
- Added: Next / Previous pagination method.
- Added: Option to disable auto month rotation in search requests.
- Added: Option to restrict the user access to “Frontend Event Submission” based on user role.
- Added: Bulk option to move bookings from one date to another date.
- Improved: SQL files.
- Fixed: Issue in advanced repeat mode.
- Fixed: Issue in full calendar skin.
- Fixed: Load more issue in masonry skin.
- Fixed: Issue in storing locations.
- Fixed: Issue in total booking limit field.
- Fixed: Issue in single event modal regarding booking module.

v 6.8.15 – 8 February 2023
- Added: Ability to cancel a certain occurrence using the “Edit Per Occurrence” feature.
- Added: Opening hour field to the location system.
- Added: Attendee name and ticket back to the form step of booking module.
- Added: Display ongoing option to some skins.
- Added: Ability to upload images using WordPress media library in gallery module when the user has appropriate access.
- Improved: Billing information of stripe payment gateway.
- Improved: The title of archive pages.
- Improved: Edit Per Occurrence feature.
- Improved: The HTML structure of minimal style of list skin.
- Fixed: Issue in booking module of ongoing events.
- Fixed: Issue in gallery module when loaded in modal window.
- Fixed: Issue in advanced repeating events.
- Fixed: Issue in displaying details page of ongoing events.
- Fixed: Issue in displaying events in category pages.
- Fixed: Issue in field data mapping after booking.
- Fixed: Some issue in WC payment gateway.
- Fixed: Some issues regarding PHP8.
- Fixed: Some issues in countdown skin.
- Fixed: Issue in displaying filter options in shortcodes.
- Fixed: Issue in importing events using .ics format.
- Fixed: Filtering issue when filtering by month and year dropdown.
- Fixed: Many PHP 8 issues.
- Fixed: Issue in refund process.

v 6.8.10 – 12 January 2023
- Added: Infinite scroll pagination option.
- Added: Some options to the Frontend Event Submission feature to make the location and event dates mandatory.
- Added: New GDPR compliant captcha driver.
- Added: Maximum date option for the full calendar skin.
- Added: Option to duplicate the short-codes.
- Added: Option to display the organizer in monthly skin.
- Added: Express calendar method for date selection in booking module.
- Improved: Performance of event gallery module.
- Improved: UX of calendar method of date selection in the interface of booking module.
- Improved: Security of keys / passwords stored in the MEC settings by adding toggle display button.
- Improved: Admin notifications.
- Fixed: Issue in booking module when coupon codes are disabled.
- Fixed: Some issues in booking process.

v 6.8.5 – 26 December 2022
- Added: Checkboxes search method for category, location, organizer, label and speaker fields.
- Added: Filter for MEC email template.
- Added: Option to improve learn dash integration.
- Added: Option to enable/disable Other Locations feature in frontend event submission.
- Improved: The frontend event submission for excerpt field.
- Improved: The notification placeholders.
- Improved: The booking field mapping to the user fields.
- Fixed: Issue in displaying ongoing events when event or shortcode is set to display only one occurrence.
- Fixed: Issue in displaying total price after discount.
- Fixed: Issue in Use WooCommerce as Payment System gateway.
- Fixed: Issue in monthly skin and expired events.
- Fixed: Issue in popup method of displaying event details page.
- Fixed: Issue in email reminder.
- Fixed: Issue in loading shortcodes in popups using page builders plugins.

v 6.8.2 – 11 December 2022
- Fixed: Some minor issue in styling

v 6.8.1 – 10 December 2022
- Updated: Deutsch language - Thanks to Rico Michael.
- Fixed: Booking in RTL mode
- Fixed: Booking in modal style

v 6.8.0 – 10 December 2022
- Added: Partial payment option. (Deposite System)
- Added: Option in list and grid skins to display the event cost.
- Fixed: Issue in displaying sold-out message when the total limit is zero.
- Fixed: Issue in sorting events.
- Fixed: Issue in loading events in Load More button.
- Fixed: Issue in general calendar skin in certain languages.

v 6.7.3 – 30 November 2022
- Added: Backend calendar to manage the events.
- Added: Option to force payment steps when bookings are free.
- Added: Option to hide event status on the standard style of list skin.
- Added: Ability to auto-populate ACF fields of WC products from ACF fields of event in the pay by WooCommerce system.
- Updated: French language - Thanks to Michael Berthoud.
- Fixed: Issue with applying discount by coupon codes.
- Fixed: Issue with displaying booking module when total limit is set to zero.
- Fixed: Issue with displaying uploaded files.
- Fixed: Multilingual issues with stripe gateway.
- Fixed: Issue with Pay by WooCommerce system.

v 6.7.0 – 12 November 2022
- Added: Progress bar module.
- Added: Event gallery image module.
- Added: Feature to apply 100 percent coupons to all fees.
- Refactored: Structure and html output of booking module.
- Improved: Design of standard style of list skin.
- Improved: Learn dash integration.
- Improved: Search module to hide the organizer, location, etc that don’t have future events.
- Fixed: Issue when editing booking in the backend.
- Fixed: Issues in ical feed.
- Fixed: Issues when WordPress time format is an empty string.
- Fixed: Issue in MEC settings wizard.

v 6.6.12 – 18 October 2022
- Added: Sample CSV file to the CSV booking import.
- Added: Ability to define family tickets.
- Added: Ability to add icons for custom event fields.
- Added: Sofort, iDeal and many more payment systems using new Stripe gateway.
- Improved: The additional organizers module.
- Improved: The free booking process.
- Refactored: Stripe Payment Gateway.
- Fixed: Issue in displaying cancellation reason in clean style of timetable skin.
- Fixed: Issue in cancellation of bookings by adding a confirmation step to the cancellation process.
- Fixed: Issue in booking reminder feature.
- Fixed: Issue in event finished notification.
- Fixed: Issue in import / export feature.
- Fixed: Issue in displaying expired events in backend.
- Fixed: Issue in capability of import / export feature.
- Fixed: Issue in displaying dates of events in booking edit page.
- Fixed: Issue regarding importing invalid ics files.
- Fixed: Issue on saving date format options per language.
- Fixed: Issue in importing advanced repeat events from Google Calendar.

v 6.6.10 – 20 September 2022
- Added: Ability to disable Add Organizer feature in Frontend Event Submission
- Added: Ability to disable Add Location feature in Frontend Event Submission
- Improved: The booking price details by splitting the total ticket price into different prices per date and adding the number of tickets for each booked date
- Improved: The registration button by hiding it when the event is expired
- Fixed: Issue in displaying event custom fields when embed code is used
- Fixed: Issue in importing all-day events in ics format

v 6.6.9 – 13 September 2022
- Improved: The date display when single widget is enabled
- Fixed: Daylight saving time
- Fixed: Issue in agreement field of Frontend Event Submission
- Fixed: Issue in general calendar regarding the All-day events
- Fixed: Issue in general calendar when event end time is hidden
- Fixed: Issue in general calendar when the whole event time is hidden
- Fixed: Conflict with other plugins

v 6.6.8 – 6 September 2022
- Added: Option to change details style per event.
- Added: Ability to translate expired and ongoing words from messages panel.
- Added: Shortcode element to avada builder.
- Added: Feature to exclude categories, locations, and organizers from shortcode builder.
- Improved: The Google calendar export.
- Fixed: Issue when links are disabled in simple style of monthly skin.
- Fixed: Issue in displaying dates regarding day light saving.
- Fixed: Issue in cronjob commands.
- Fixed: Issue in cost field of Frontend Event Submission.
- Fixed: Issue in date format of Google map light boxes.

v 6.6.6 – 24 August 2022
- Added: Visual Crossing provider to the weather module.
- Added: Option to the iCal feed to display only upcoming events.
- Improved: The default configuration of search bar.
- Removed: Dark Sky provider from the weather module.
- Fixed: Issue in coupons menu.
- Fixed: Issue regarding speaker name in Frontend Event Submission.
- Fixed: Some issues in Frontend Event Submission.

v 6.6.5 – 17 August 2022
- Added: Ability to change ticket prices per occurrence. 
- Added: New CSV export option compatible with Google Calendar. 
- Added: Ability to assign custom layouts to the events created by Frontend Event Submission. 
- Added: Ability to display disclaimer messages for the events created by Frontend Event Submission. 
- Improved: The related events module. 
- Improved: The custom user recipients in large scale websites. 
- Improved: Creating booking on the backend. 
- Improved: Editing bookings on the backend 
- Fixed: Issue in “Frontend Event Submission” regarding dates. 
- Fixed: Some issues in the sponsors module. 
- Fixed: Issue in displaying content images in the modal window. 
- Fixed: Issue in MEC Cart regarding validating the cart before checkout. 
- Fixed: Issue in rich text schema regarding the price. 
- Fixed: Some issues in MEC dynamic messages.

v 6.6.4 – 31 July 2022
- Improved: The event wizard editor.
- Fixed: Issue in tile view.
- Fixed: Some issues in multilingual websites created by polylang.
- Fixed: Issue in showing pro skins including yearly skin in archive skins.
- Fixed: Issue in displaying event fields in monthly skin.
- Fixed: Some issues in calendar date selection method of booking module.
- Fixed: Date picker issue in event wizard
- Fixed: Some issues iCal feed 

v 6.6.3 – 24 July 2022
- Added: New feature to course enrollment of LearnDash integration.
- Compatibility: Ultimate addons for Elementor
- Improved: The sale stop feature and its message.
- Fixed: Issue regarding date dropdown field.
- Fixed: Some issues regarding radio buttons field of booking form.
- Fixed: Issue in start time and end time of events.
- Fixed: Month select in year dropdown (Shortcode Filters)

v 6.6.2 – 30 June 2022
- Added: Option to make the featured image mandatory in “Frontend Event Submission”.
- Improved: The speaker selection module.
- Fixed: Descending order in masonry shortcode.
- Fixed: Showing cancellation reason on repeated events.
- Fixed: Issue in full calendar skin.
- Fixed: Number spinner of ticket selection in booking module.
- Fixed: Setting event times. (midnight hours)
- Fixed: Using coupon codes on multiple bookings in WooCommerce as Payment System.
- Fixed: Hide image box if event doesn't have featured image in list view simple type

v 6.6.1 – 23 June 2022
- Added: Maximum booking option for tickets.
- Added: Date display in booking module when loaded in shortcode and only 1 date is available to book.
- Fixed: Issue in iCal feed regarding custom day events.
- Fixed: Midnight hour in save event

v 6.6.0 – 13 June 2022
- Added: A ticket style option (pro)
- Added: Booking progress bar (pro)
- Added: Total selected tickets display to booking module (pro)
- Added: An ability to import event authors from one of third party plugins
- Added: An ability to provide update access to the events owners even if they don’t have proper WordPress capability
- Added: An ability for editor and admin users to manage events from frontend dashboard
- Added: An option to make the featured image mandatory in “Frontend Event Submission”
- Added: An ability to change the label of organizer website URL
- Added: Ability to add sponsors to events and display them on single event page
- Added: Some new placeholders to display date and time of event in user local time in email notifications (pro)
- Added: “Display all events in right section” option for monthly skin of full calendar
- Added: A feature to change the booking button label per event (pro)
- Added: A feature for events to inherit color from the category if no event color is specified
- Added: A total ticket limit to force users to book at-least a certain count of tickets (pro)
- Added: Booking and attendee fields to the PDF invoices (pro)
- Added: Event category in breadcrumbs
- Improved: The booing module to be disabled when event is canceled
- Improved: The integration with “Newsletter plugin”
- Improved: The sponsors feature
- Improved: The import process of third party plugins
- Improved: The booking progress bar (pro)
- Updated: The tooltip library to fix some conflicts with other third party theme and plugins
- Disabled: The remove function for MEC email and MEC name in booking form
- Fixed: Carousel skin
- Fixed: Auto email feature (pro)
- Fixed: Importing and exporting all day events
- Fixed: Importing events with repeat count from Google calendar
- Fixed: In adding/removing fees per payment gateway (pro)
- Fixed: On structured data
- Fixed: An compatibility issue with Weglot plugin
- Fixed: On scrolling when loading the event details page on modal
- Fixed: On new event notification
- Fixed: Some PHP notices

v 6.5.9 – 25 May 2022
- Fixed: Security issue

v 6.5.8 – 24 May 2022
- Improved: Display attendees form on the event manage page (pro)
- Fixed: Some issues in EXDATE option of iCal feeds
- Fixed: Sending auto-emails (pro)
- Fixed: Search issue when there are multiple shortcakes in one page
- Fixed: Email placeholders
- Fixed: Full calendar skin when the search form is disabled
- Fixed: The backend booking menu when fees are disabled for pay locally gateway (pro)
- Fixed: An issue on disabling ticket times (pro)
- Fixed: Some issues in the attachment field of the booking form and file upload and store process (pro)

v 6.5.7 – 17 May 2022
- Compatibility: WordPress v6.0
- Added: A new currency to the list of available currencies
- Improved: The iCal feed by adding sequence parameters to the feed
- Fixed: An issue in the monthly view
- Fixed: An issue in the dropdown of timezones in “Frontend Event Submission”
- Fixed: Some issues on displaying expired events in the manage event menu in WordPress backend
- Fixed: A time display issue in different skins when the time format is not a PHP standard format
- Fixed: An issue in sold-out notification
- Fixed: An issue in descending order

v 6.5.6 – 10 May 2022
- Improved: Ability to translate datepicker in the General Calendar skin
- Improved: The iCal code
- Fixed: An issue in Google schema
- Fixed: Some conflicts with other plugins
- Fixed: Some HTML code issues
- Fixed: An issue in the social widget
- Fixed: Some issues with the w3c standard

v 6.5.5 – 2 May 2022
- Fixed: The content of third party plugin on single event pages
- Fixed: Some PHP notices

v 6.5.4 – 27 April 2022
- Added: An option to prevent sending new event notifications after creating an event with super admin email
- Added: The download link on the checkout page will be open in a new tab (_blank) (pro)
- Added: Event filter based on start time (main time) in admin area
- Added: An option to control the inclusion of script.js (pro)
- Added: Thank you page feature for MEC Cart (pro)
- Added: An ability to add custom characters into the single date format
- Added: An option to control the decimal number of prices (pro)
- Added: A notice message to admin when the single sidebar is empty
- Added: Loading for MEC Checkout (pro)
- Improved: The social share buttons
- Improved: Changing the iCal export to optimize and fix some bugs
- Improved: Flip countdown display in mobile devices
- Changed: Select image input design in wizard mode
- Fixed: The issue with removal of fees in MEC Cart payment gateway
- Fixed: Date translation issue in general calendar
- Fixed: Notice error translation issue
- Fixed: Telegram icon style
- Fixed: Notification sending error while using WooCommerce payment gateway (pro)
- Fixed: Not overwriting the Booking Success Message from settings in MEC Cart (pro)
- Fixed: Not disabling automatic confirm for payment gateways in MEC Cart (pro)
- Fixed: Bookings filter by repetition select box display issue (pro)
- Fixed: New Event notification
- Fixed: An issue in PayPal classic gateway (pro)
- Fixed: reCAPTCHA feature of Frontend Event Submission
- Fixed: An issue in Stripe gateway (pro)
- Fixed: Custom day repeating events
- Fixed: XML Export / Import
- Fixed: An issue in lazy loading
- Fixed: An issue with HTML markups
- Fixed: Some issues in MEC Cart (pro)
- Fixed: Some other issues

v 6.5.3 – 17 April 2022
- Improved: the performance and security
- Improved: the WhatsApp share
- Fixed: a very rare issue on the booking module (pro)
- Fixed: some issues on event structured data (schema)
- Fixed: an issue on showing expired events on the event manager of the backend
- Fixed: HTML markup issue on some skins
- Fixed: some PHP notices and warnings
- Fixed: some apostrophe issues

v 6.5.2 – 12 April 2022
- Fixed: An issue on event bulk edit and saving locations, organizers
- Fixed: A security issue
- Fixed: HTML support of gateway comment
- Fixed: An issue on block themes
- Fixed: An issue on notification placeholders
- Fixed: An issue on calculating end date of some certain events in rare cases
- Escaped: Many parameters to improve the security

v 6.5.1 – 3 April 2022
- Improved: The security and output escapes
- Fixed: An issue in displaying event tags on the block editor
- Fixed: An issue on the public file module
- Fixed: Some issues regarding event filters
- Fixed: An issue with displaying end dates for multiple-day events
- Fixed: An issue with displaying the cost of events
- Fixed: A multilingual issue

v 6.5.0 – 31 March 2022
- Fixed: An issue on shortcode filter options
- Fixed: The remove button for the inner form builder
- Fixed: An issue on the single event date method option
- Fixed: An issue on the hide event option
- Fixed: Some minor issues

v 6.4.7 – 27 March 2022
- Fixed: An issue on PayPal Standard Gateway (pro)
- Fixed: An issue in “Related Events” module when a link is set for an event
- Fixed: Some issues in notification placeholders
- Fixed: An issue in manual import from Google Calendar
- Fixed: Some PHP issues and warnings
- Fixed: An issue on displaying cancellation reason (pro)
- Removed: PHP curl and used WordPress remote API instead
- Escaped and Sanitized: Many parts of the project to improve security and performance

v 6.4.5 – 15 March 2022
- Added: Dynamic content shortcode
- Added: View bookings link to the classic event list in WordPress backend (pro)
- Updated: Some language files
- Updated: Charts library
- Improved: The “Frontend Submission” form
- Improved: The code security
- Removed: An encrypted code
- Fixed: An issue in booking form (pro)
- Fixed: An issue in full calendar when loaded as category archive
- Fixed: Some issues regarding search module

v 6.4.2 – 3 March 2022
- Improved: The XML export
- Improved: The skin load in full calendar shortcode
- Improved: The Stripe gateway by adding some booking fields into the meta fields (pro)
- Improved: The search functionality on shortcodes
- Improved: The XML import to store event fields too
- Improved: Some options on the lite version
- Improved: The speaker feature in “Frontend Event Submission”
- Fixed: An issue on event and booking filter in WP backend (pro)
- Fixed: An issue on the next event module
- Fixed: Some issues in “Frontend Event Submission”
- Fixed: An issue in year and month selection on month navigation
- Fixed: A potential memory issue
- Fixed: An issue on independent tags

v 6.4.0 – 23 February 2022
- Improved: The MEC backend
- Improved: Queries on all skins
- Improved: The single event page
- Improved: The ability to change verification and confirmation status per event (pro)
- Improved: The organizer search on monthly skin
- Improved: The MEC single widget to respect the order of widgets
- Improved: The multilingual and translations ready by adding some more fields to the WPML config file
- Improved: An accessibility in frontend and backend with an option
- Added: Catalan translation (Thanks to Joan Mateus Gorgues) (pro)
- Fixed: An XSS issue
- Fixed: Calculating dates of yearly events (pro)
- Fixed: Timetable skin regarding start date
- Fixed: Resetting the search form in special cases
- Fixed: Some PHP issues and warnings
- Fixed: Displaying additional locations and organizers in multilingual websites
- Fixed: A conflict with Divi theme
- Fixed: An issue on the reports menu regarding all-day events

v 6.3.0 – 2 February 2022
- Added: PayPal Standard gateway (pro)
- Improved: The event countdown to be compatible with the event timezone
- Improved: The sorting method of events
- Fixed: Some PHP warnings and notices
- Fixed: An issue in the general calendar
- Fixed: An issue in the iCal import
- Fixed: An issue regarding exporting custom day events in the iCal feed

v 6.2.9 – 25 January 2022
- Compatibility: WordPress v5.9
- Added: A new feature to update booking dates when date of a normal event get’s updated (pro)
- Improved: PayPal Express Checkout (pro)
- Improved: The memory usage of one function
- Fixed: An issue in “WC as Payment System” feature (pro)
- Fixed: Local time module of accordion style of list view
- Fixed: Currency position
- Fixed: Description module of single builder
- Fixed: Some styling issues in add event and shortcode wizard
- Fixed: Some PHP notices and warnings

v 6.2.8 – 19 January 2022
- Added: An options for column count for tablet and mobile in carousel skin
- Added: Display repeat method when “Show only one occurrence of events” option is enabled in the shortcode
- Added: An ability to insert/change coupon codes while editing bookings in the backend (pro)
- Added: A sold-out style for the “calendar date selection” method in the booking module (pro)
- Improved: The MEC checkout to preview free bookings (pro)
- Improved: The MEC settings to be able to insert booking and single date options per language for multi-lingual websites
- Fixed: An issue in AWeber integration (pro)
- Fixed: An issue in daily skin
- Fixed: An issue in ical feed regarding advanced events

v 6.2.7 – 12 January 2022
- Fixed: Add New plugin page

v 6.2.6 – 12 January 2022
- Added: Some new options for the “Assets Per Page” feature
- Added: Title and description fields for public download module
- Improved: The UX of MEC Cart (pro)
- Improved: The mandatory checkbox validation on event custom fields
- Fixed: A search issue on tile skin
- Fixed: The ticket pricing system (pro)
- Fixed: The next event module
- Fixed: Some issues on iCal feed
- Fixed: An issue in showing the sold-out label
- Fixed: Some issues on event structured data
- Fixed: An issue in the reports menu
- Fixed: An issue on profile short-code
- Fixed: Some issues in the export feature (pro)
- Fixed: A conflict with other plugins
- Fixed: Some PHP notices and warnings

v 6.2.5 – 5 January 2022
- Added: A new option to display event price based on lowest ticket price (pro)
- Added: An invoice feature for MEC cart (pro)
- Added: A new feature to sort the events in descending order
- Added: A new integration option with PaidMembership Pro plugin to let users with certain subscriptions to access booking module of events based on event category (pro)
- Added: An option to enable / disable countdown method in “Frontend Event Submission”
- Improved: The security of MEC
- Improved: The auto booking confirmation process (pro)
- Fixed: Time of custom day events
- Fixed: Stop selling option for selling tickets (pro)
- Fixed: Schema contents
- Fixed: An issue in multilingual websites
- Fixed: An issue in some notification placeholders
- Fixed: Duplicating events
- Fixed: An issue in setting event times in special cases
- Fixed: Some PHP issues
- Fixed: A PHP warning

v 6.2.0 – 11 December 2021
- Added: MEC Cart System (pro)
- Added: General Calendar view skin
- Added: An ability to insert multiple attendees with different tickets in the “Add Booking” menu of MEC backend (pro)
- Added: An option to copy shortcode with one click
- Improved: The iCal feed
- Improved: The speed of MEC in the backend
- Improved: The booking process when calendar type is selected to display dates and times (pro)
- Improved: The Facebook importer to import special events (pro)
- Fixed: Showing event custom data
- Fixed: Showing event dates in the “Add Booking” menu in the backend (pro)
- Fixed: Booking fee calculation (pro)
- Fixed: An issue in countdown view
- Fixed: Sending booking reminders (pro)
- Fixed: An issue in checking user limits for booking (pro)
- Fixed: Sending sold out notifications (pro)
- Fixed: Some issues in payment gateways (pro)
- Fixed: Displaying time of custom day events

v 6.1.6 – 17 November 2021
- Added: “Amount Per Date” option for fees (pro)
- Improved: The speed of MEC page in some sections
- Improved: MEC security
- Fixed: Some issues in fee calculation (pro)
- Fixed: Some issues in google map assets inclusion (pro)
- Fixed: An issue regarding block editor compatibility
- Fixed: The %%ticket_time%% placeholder (pro)
- Fixed: Displaying event status in email notifications (pro)
- Fixed: Sending verification email when event is Added: from backend with verified status (pro)
- Fixed: Saving new organizer Added: from “Frontend Event Submission”
- Fixed: The issue of opening unwanted links in modal in list skin when modal popup is enabled
- Fixed: The end date of custom days events
- Fixed: Some PHP notices

v 6.1.5 – 10 November 2021
- Added: A new option to create coupon codes based on the count of booked dates (pro)
- Added: A feature to set and show caption of featured images
- Added: A new feature to skip the first step of booking when possible (pro)
- Added: Agreement checkbox to “Frontend Event Submission”
- Added: A new option to set sticky sidebar
- Improved: MEC Profile shortcode
- Improved: The hourly schedule module
- Improved: The event description on Google calendar export to keep the links
- Fixed: An issue in Schema
- Fixed: An issue regarding the register button (pro)
- Fixed: An issue about the end date of custom repeat events
- Fixed: Custom fields cut off when the event has a label
- Fixed: Some issues in the countdown module
- Fixed: An issue in all-day events

v 6.1.0 – 19 October 2021
- Improved: Next/Previous events module
- Improved: All MEC cron jobs (pro)
- Improved: The query speed in some sections
- Fixed: An issue in the event link when a special time format was used
- Fixed: An issue in the fee calculation (pro)
- Fixed: Booking reminder cronjob (pro)
- Fixed: Exporting advanced repeat events (pro)
- Fixed: Some issues in event links
- Fixed: Some encoding and format issues in iCal exports
- Fixed: Carousel skin regarding popup
- Fixed: PayPal Express gateway in some devices (pro)
- Fixed: Some PHP notices

v 6.0.0 – 13 October 2021
- Added: The ability to book multiple dates in one booking (pro)
- Added: Some new fields for events' Microsoft Excel export (pro)
- Added: An ability to remove the counter number for additional locations on the event details page
- Improved: Stripe payment gateway (pro)
- Improved: The iCal feed
- Improved: The coupon creation/edit form (pro)
- Improved: Accessibility in front-end
- Fixed: The booking shortcode and WooCommerce payment system (pro)
- Fixed: An issue regarding some AJAX responses
- Fixed: An issue regarding compatibility with some translation plugins
- Fixed: An issue regarding importing ICS files with different timezones
- Fixed: Booking shortcode in special cases (pro)
- Fixed: The “Next Event” module regarding showing the current occurrence instead of the next one
- Fixed: Date formatting
- Fixed: Custom fields tooltip on the standard list view
- Fixed: Location address on the carousel view
- Fixed: Invalidation of price field (pro)
- Fixed: Using specific classes for masonry view
- Fixed: An issue in Lite version regarding adding multiple occurrences in one day using the “Custom Days” option
- Fixed: Some issues in multilingual websites
- Fixed: A search issue in the list and grid skins with the map on top
- Fixed: An issue regarding ticket variations (pro)
- Fixed: An issue in the event feed regarding displaying multiple images
- Fixed: Some conflicts with some themes
- Fixed: A character issue on the event link
- Fixed: Some minor issues

v 5.22.3 – 22 September 2021
- Added: An option to include expired events in the “Related Events” module
- Improved: The slider and carousel skins
- Improved: The iCal feed
- Improved: The Stripe gateway integration (pro)
- Improved: iCal feed to support languages
- Fixed: Some translation issues
- Fixed: Some security issues
- Fixed: A PHP warning in some servers
- Fixed: Showing the wrong timezone in events list in WP backend
- Fixed: Showing timezones in skins
- Fixed: A conflict with Divi theme
- Fixed: Grid skin
- Fixed: Sending new event notification (pro)
- Fixed: Showing gateway name in some notifications (pro)
- Fixed: Some issues in WPML and polylang translations
- Fixed: Advanced translation editor of WPML

v 5.22.2 – 2 September 2021
- Added: Ability to reconnect to a new account in Stripe connect (pro)
- Added: An option to translate messages and notifications in MEC Settings on multilingual websites
- Added: An option to disable MEC email template
- Changed: Checkbox name under Category field in the Search Form to Multiselect
- Fixed: An issue in importing time in XML import
- Fixed: An issue in iDeal payment (pro)
- Fixed: Some errors in the iCal feed
- Fixed: Some issues in PHP 8
- Fixed: Ticket names of multilingual events (pro)
- Fixed: Some issues regarding event time
- Fixed: An issue in removing ticket variations (pro)
- Fixed: Sending booking reminders for drafted events (pro)
- Fixed: Location and organizer of multilingual events
- Fixed: Counting remained tickets in special cases (pro)
- Fixed: Filter options of shortcodes
- Fixed: Carousel view arrows
- Fixed: Position of the day on countdown view
- Fixed: Disabled Roboto font with an option
- Fixed: Some issue in checkboxes in the block editor environment
- Fixed: A security issue

v 5.22.1 – 17 August 2021
- Added: ical subscription URL
- Applied: Some security enhancements
- Applied: Some speed improvements
- Improved: The Stripe gateway integration (pro)
- Fixed: An issue in calculating remaining tickets to display flags (pro)
- Fixed: Time display
- Fixed: Frontend Event Submission regarding adding new locations
- Fixed: An issue in tile view

v 5.22.0 – 9 August 2021
- Added: A new feature to schedule emails and send them automatically before or after events (pro)
- Added: Ability to rename booking (pro)
- Added: An ability to disable ticket times (pro)
- Added: Category option for coupons (pro)
- Fixed: Displaying event times
- Fixed: Daylight saving and import/export
- Fixed: Hiding event time
- Fixed: Booking price calculation in special cases (pro)

v 5.21.5 – 28 July 2021
- Added: Ability to define variations per ticket (pro)
- Added: Some new options, including HTML editor to text-area field of custom fields
- Added: A new option to disable countdown for ongoing events
- Added: Validation on time of events
- Added: Booking attachments in WordPress media so admin can manage the files (pro)
- Improved: The first name and last name detection (pro)
- Improved: Some strings for translations
- Improved: CSV export by adding some new fields
- Improved: The date field of custom fields
- Improved: Display of labels in shortcodes
- Fixed: Display booking button when the event is sold-out but not expired (pro)
- Fixed: Calculation of remaining tickets (pro)
- Fixed: Some issues in the total booking module
- Fixed: Ajax actions in element or popup
- Fixed: some PHP notices and warnings

v 5.21.2 – 17 July 2021
- Fixed: Some minor issues

v 5.21.1 – 15 July 2021
- Fixed: Fatal error

v 5.21.0 – 14 July 2021
- Added: Search refine option
- Added: Detailed time option for applicable skins
- Added: Event dates to the monthly view when the “Display All Events” option is enabled
- Added: A reset ability that can be Added: to the search module
- Added: Custom color option to the categories
- Improved: Language files
- Improved: Display of the “Load More” button
- Fixed: “WC as Payment System” in multilingual websites (pro)
- Fixed: Booking import (pro)
- Fixed: First and last name detection
- Fixed: The event link and more info link in the modal
- Fixed: Displaying more info section when location is not set
- Fixed: Date localization in WooCommerce checkout (pro)
- Fixed: An issue on Frontend Event Submission
- Fixed: An issue on showing the wrong expired label
- Fixed: An issue on saving event status data in Frontend Event Submission
- Fixed: An issue in Mailchimp integration (pro)
- Fixed: Some issues in the related events module
- Fixed: Some issues in the search module
- Fixed: Showing all-day events in the reports menu
- Fixed: The “User Event Publishing” notification when the event was submitted from the frontend
- Fixed: Some PHP notices and warnings

v 5.20.6 – 26 June 2021
- Fixed: Some minor issues.

v 5.20.5 – 23 June 2021
- Added: An option to be able to change thank you page options per event (pro)
- Added: An option to display event time in carousel skin
- Added: An option to automatically refund the booking amount when paid by Stripe (pro)
- Added: An option to stop selling tickets when the first occurrence of an event happened (pro)
- Added: An option to send notifications to additional organizers in addition to the main organizer
- Improved: the backend shortcode builder to not show expired events as a selectable option in some skins, including a countdown
- Improved: the taxonomy system to be more compatible with WPML
- Updated: Dutch (Netherlands) language (Thanks to Petter Berg)
- Updated: French language (Thanks to Eric)
- Fixed: Showing wrong value for available spots in available spots skin (pro)
- Fixed: Tile skin regarding link target
- Fixed: The cost field
- Fixed: Carousel skin regarding displaying labels
- Fixed: Some issues regarding multilingual and translations
- Fixed: Displaying translated dates in the booking menu of the backend (pro)
- Fixed: Google calendar link of notifications
- Fixed: User booking limit and WC as a payment system (pro)
- Fixed: The event link placeholder for custom day events
- Fixed: The list and grid skins
- Fixed: An issue in import/export (pro)
- Fixed: Some issues in the name of events
- Fixed: Some issues pertaining to date fields (pro)
- Fixed: SVG icon for social share buttons
- Fixed: Booking price calculation in exported files when an event or ticket is removed (pro)
- Fixed: some warnings

v 5.20.0 – 9 June 2021
- Added: The event cost, event link, more info link with title and target, organizer, and location to the occurrences section to provide an ability to change them per occurrence
- Added: “Activate First Upcoming Date with Event” option in full calendar
- Added: An ability to display all events in the right panel of monthly skins
- Added: An option to show activate the first date of the month in monthly skins instead of the current day in next/previous months
- Added: “Bank Transfer” as a new payment gateway (pro)
- Improved: The flexibility in events URLs
- Improved: The functionality of the “Disable fees per payment gateway” feature (pro)
- Improved: The library inclusion of MEC
- Improved: The ICS export of all day events
- Removed: “Montserrat” font family
- Fixed: An issue in calculating the price per attendee in booking export feature (pro)
- Fixed: Showing ongoing events in calendar method of booking module (pro)
- Fixed: Sending multiple emails after booking edit (pro)
- Fixed: Oversell in some conditions (pro)
- Fixed: Labels issue
- Fixed: Notifications issue
- Fixed: Some issues in multilingual feature and translations
- Fixed: Some PHP notices and warnings

v 5.19.5 – 26 May 2021
- Added: A new ability to show all locations of an event in the event single map (pro)
- Added: A new ability to include a pin for all locations of all events in the map modules (pro)
- Added: Start and End times to the event list in the backend in addition to dates
- Added: A new feature to change the transition time of slider skin
- Added: Some options to redirect the user to the cancellation page after the cancellation of a booking
- Added: A new option to generate transaction IDs using an ordered number with prefix instead of random numbers (pro)
- Added: A new panel to show bookings of the current event in the edit event menu of the backend (pro)
- Added: A new option in “Frontend Event Submission” to include the booking panel
- Added: An option to enable bookings only for certain roles (pro)
- Added: Displaying of custom fields in the shortcodes with an option to enable or disable
- Added: Some new filters to modify the content ical file
- Added: Attendee Counter in the attendee form (pro)
- Improved: The order of terms in the search module
- Improved: The “Using WC as payment system” and fixed some issues (pro)
- Improved: The breadcrumb
- Improved: The role of controlling for main menus
- Fixed: Some issues in MEC notifications
- Fixed: Showing the Expired label when the event is ongoing
- Fixed: A special date format in the export module
- Fixed: A potential SQL injection issue
- Fixed: An autoplay issue in carousel skin
- Fixed: Google Calendar import/export when another plugin is loading the Google SDK
- Fixed: Some minor issues

v 5.19.1 – 12 May 2021
- Added: An option to disable booking multiple seats on “Sell All Occurrences by One Booking” events per email (pro)
- Added: An option to display custom fields in event sidebar
- Added: An option to change limit of related events
- Added: A new button in backend events manager to filter only upcoming events
- Added: All in one wizards popup
- Improved: The order time field to follow WP date and time format
- Improved: The last few tickets label to use ticket limit instead of total limit when only 1 ticket is defined (pro)
- Fixed: Regarding currency in “Frontend Event Submission”
- Fixed: Bulk edit of posts in Wp backend when filtered by tag
- Fixed: A warning in export file (pro)
- Fixed: Showing booking module when the event is expired and “Booking for ongoing events” option is enabled (pro)
- Fixed: Filtering of shortcakes for category archive
- Fixed: Showing next occurrence of custom repeat events
- Fixed: The event_link placeholder of some notifications
- Fixed: Showing wrong label in Invoices when used price per date option (pro)
- Fixed: Export file when “Discount Per Role” option is used (pro)
- Fixed: An issue regarding the dl in the HTML structure
- Fixed: Tile view in the modal popup method

v 5.19.0 – 5 May 2021
- Added: A new notification to send after at the exact time the event finishes (pro)
- Added: A new option to change the HTML tag of the archive page title
- Added: A new option to include event categories in the breadcrumbs module
- Added: A new option to profile shortcode to hide canceled bookings (pro)
- Added: A new option to profile shortcode to show only upcoming bookings (pro)
- Added: Update tag for Mailchimp subscribers (pro)
- Added: A new feature to hide export module in expired events
- Added: Expired label for expired events
- Added: An ability to insert coupon codes when adding new bookings from the backend (pro)
- Added: A new feature to easily export all bookings from the export menu (pro)
- Added: A new option to disable the fees module in certain payment gateways (pro)
- Changed: Settings menu
- Fixed: The event description placeholder when shortcodes are included in the email notification (pro)
- Fixed: Stripe connect gateway (pro)
- Fixed: Booking date format in WooCommerce when time format is Added: to the booking date format field (pro)
- Fixed: Booking over the ticket availability (pro)
- Fixed: Available spot skin (pro)
- Fixed: Importing events from Google calendar
- Fixed: A 404 error in the export module (pro)
- Fixed: some issues in the total price field of CSV/Excel import (pro)
- Fixed: The date of MEC feeds (pro)
- Fixed: Some issues regarding special characters in events and book exports
- Fixed: Some issues in quick edit of taxonomies
- Fixed: Sending some notifications twice in special conditions (pro)
- Fixed: The ticket creation form (pro)
- Fixed: The date of booking reminder notification for “Sell all by one booking” events (pro)
- Fixed: Masonry view issue in Firefox (pro)
- Fixed: Tooltip conflicts with Ultimate Addons for Elementor
- Fixed: Timeline view issue when the link is disabled

v 5.18.5 – 21 April 2021
- Added: A new feature to manage a load of MEC assets on pages
- Added: Some new placeholders to notifications including categories, tags, cost, and labels (pro)
- Added: An option to show expired events in event management of backend
- Added: Date filter option to map skin (pro)
- Added: An option to change the SEO title of occurrences
- Added: An option to change currency and currency options per event
- Added: An option to disable the “Private Description” field in frontend event submission (pro)
- Added: An option to disable the display of organizers in “Frontend Event Submission”
- Improved: The MS Excel export on event and bookings (pro)
- Fixed: Unlimited booking limit (pro)
- Fixed: Price of booking export
- Fixed: Simple style of monthly skin when there are multiple repeats from the same event in one day
- Fixed: Last Few Ticket Percentage (pro)
- Fixed: Some issues in export module loaded in single event page (pro)
- Fixed: An issue regarding multiline description for ics export
- Fixed: Showing the wrong date for events
- Fixed: Booking reminder notification (pro)
- Fixed: some issues in PHP 8

v 5.18.0 – 7 April 2021
- Added: A new shortcode for Pro users to display some content only for those users that booked the event (pro)
- Added: Placeholder feature for text fields in the search form
- Added: Two new placeholders to email notifications to show the start and end time of events (pro)
- Added: An ability to change event fields per occurrence
- Added: A new feature to include the “Local Time” module in full calendar skin
- Added: some new parameters to the MEC feed of events
- Added: An ability to set interval for monthly events
- Added: A new feature to separate event tags and wp tags
- Added: A new ability to the modern style of timetable skin to change the number of weekdays (pro)
- Improved: The user registration in the booking system by setting the name as a nickname (pro)
- Improved: The Google Calendar import to import monthly events with an interval
- Improved: The Google Calendar export and module to export monthly events with an interval
- Improved: The dropdown fields to ignore the first option as a valid value (pro)
- Improved: The date search field to accept the same start and end dates
- Improved: Accessibility in next/previous month in shortcodes
- Improved: Dark mode styles (fixed a conflict with classic editor)
- Fixed: Tile view for showing event image
- Fixed: Showing the registration/booking button on the customized single event page (pro)
- Fixed: An issue in WC Payment system when loaded in the modal (pro)
- Fixed: An issue in %%name%% placeholder of “User Event Publishing” notification
- Fixed: Showing the author of an event in the backend event manager
- Fixed: Showing expired events in the “Related Events” module
- Fixed: Mailchimp integration when multiple attendees available (pro)
- Fixed: An issue with some characters in export files
- Fixed: Google Calendar export module
- Fixed: A display issue in showing start and end dates in notifications when both of them are the same
- Fixed: Some string translation
- Fixed: Showing the multi-day in carousel view
- Fixed: Some minor issues

v 5.17.6 – 17 March 2021
- Added: Labels for all search fields
- Added: An option to manage active day of monthly skin
- Added: Speaker import to the XML import feature
- Improved: The “Show Only Expired Events” feature to not show ongoing events in some cases
- Updated: Stripe API to latest version (pro)
- Fixed: Required checkbox fields in event custom fields
- Fixed: GEO location of addresses when wrong latitude and longitude are set (pro)
- Fixed: Event cost field
- Fixed: Timezone intervals in RSS feed
- Fixed: Yearly skin in showing navigation to previous year (pro)
- Fixed: Showing Sold-out and other labels in multilingual websites (pro)
- Fixed: Some console issues in block editor
- Fixed: Some duplicate id issues in console
- Fixed: An issue in “Certain Weekdays” repeat
- Fixed: An issue in local time module
- Fixed: An issue in breadcrumb
- Fixed: Some notices

v 5.17.5 – 9 March 2021
- Added: An ability to switch “Show / Hide Occurrences” per shortcode
- Added: An ability to select desired months to be displayed in the yearly view (pro)
- Added: An ability to include date of the event in “Frontend Submission”
- Added: An ability to sort additional organizers
- Added: An ability to restrict coupons per category (pro)
- Added: A new option to include ongoing events in addition to upcoming events
- Added: Custom fields to the exports (pro)
- Improved: Map skin to show ongoing and upcoming events correctly (pro)
- Improved: The user timezone detection to reduce the number of requests
- Improved: The event color system to unset the color by default
- Fixed: Booking Import (pro)
- Fixed: The backend booking manager regarding ticket variations (pro)
- Fixed: Calendar method of booking module (pro)
- Fixed: Register button when event is expired (pro)
- Fixed: Applying shipping costs to the tickets created in WooCommerce system (pro)
- Fixed: Wizard popup responsive on mobile and tablet
- Fixed: Dark mode regarding WordPress notifications alert
- Fixed: Slider link issue regarding open in a new window
- Fixed: RTL style
- Fixed: Some PHP notices and warnings
- Fixed: Some minor issues

v 5.17.2 – 24 February 2021
- Added: An option to use CC instead of BCC for notification recipients
- Added: “No Event Found” message for archive pages
- Improved: The custom CSS loading to fix some unwanted issues with cache and minify plugins
- Improved: The message showing on the import menu
- Updated: Spanish language (Thanks to Eloy Perez)
- Fixed: A warning in Countdown, Available Spot and Slider skins (pro)
- Fixed: An issue in referred date for those events that are linked to external websites
- Fixed: An issue in default full calendar skin loaded in archive pages
- Fixed: A PHP fatal error in some hosts
- Fixed: An issue on ics link of email to show the correct time
- Fixed: An issue on showing expired events on “Related Events” section
- Fixed: Some issues on showing dates in minimal and modern styles of list view
- Fixed: An issue in map module of the single event (pro)
- Fixed: Some issues on booking module when date picker is set to calendar (pro)
- Fixed: An issue in storing sender email name
- Fixed: Some issues on category checkboxes
- Fixed: An issue in downloading attendees of a specific date
- Fixed: The datepicker style in the backend
- Fixed: Duplicated location in the single event page
- Fixed: Constant Contact integration lists (pro)
- Fixed: An issue regarding the showing date in the Masonry view (pro)
- Fixed: Typos in the booking messages (pro)
- Fixed: Some minor issues

v 5.17.1 – 17 February 2021
- Added: A new option to manage a percentage of “Last Tickets” globally (pro)
- Added: An ability to manage a percentage of “Last Tickets” per event (pro)
- Improved: The accessibility of MEC invoices (pro)
- Improved: The storage of numeric fields of tickets and fees (pro)
- Improved: Display of featured canceled and custom labels
- Improved: Dark mode in backend and frontend
- Fixed: Settings menu
- Fixed: Duplicate events
- Fixed: User booking limit (pro)
- Fixed: A Fatal error on older versions of PHP
- Fixed: Showing un-rendered notification placeholders (pro)
- Fixed: Bulk booking import (pro)
- Fixed: An issue regarding expired events on full calendar skin
- Fixed: “Booking Cancellation” notification (pro)
- Fixed: iCal export regarding custom day events (pro)
- Fixed: List of the locations and organizers in the wizard popup (add event)
- Fixed: An issue regarding the location without an address in list view modern style
- Fixed: Datepicker style
- Fixed: Category icon setup
- Fixed: Responsive on mobile in the popup modal for booking (pro)
- Fixed: Some minor issues

v 5.17.0 – 11 February 2021
- Added: New Back-end Interface
- Added: A field mapping feature to auto-populate profile fields after booking (pro)
- Added: End date option for applicable skins with “Today”, “Tomorrow” and certain date option
- Added: Front-end event submission customization color
- Improved: The “Organizer Payment” system to automatically populate the payment credential fields when adding a new event (pro)
- Fixed: An issue in the total price of exported bookings (pro)
- Fixed: Some issues in Rejection Notification (pro)
- Fixed: An issue regarding the “Booking Reminder” notification on the multisite network (pro)
- Fixed: An issue on modifying discounted booking (pro)
- Fixed: Some issues on start and end date of events in notifications (pro)
- Fixed: A compatibility issue with one of WC plugins (pro)
- Fixed: An issue on the “Notification Per Event” feature (pro)
- Fixed: An issue on the active day of monthly skin
- Fixed: An issue regarding  the Oxygen page builder
- Fixed: A UTF8 encoding issue
- Fixed: Some PHP warnings and notices
- Fixed: Some minor issues

v 5.16.6 – 28 January 2021
- Fixed: Security issue

v 5.16.5 – 27 January 2021
- Added: A feature to filter the events by local time
- Added: Express connection method to Stripe Connect Gateway (pro)
- Added: Some placeholders to the notification templates
- Added: Some options to manage grid slider in the widget
- Added: New positions for currencies
- Added: Event name to the Stripe payments (pro)
- Added: A location and other location description options
- Improved: Backend speed
- Fixed: Loading new events on load more button
- Fixed: Importing events with finish dates from Google into MEC
- Fixed: Importing google events when some of the occurrences are removed
- Fixed: Loading MEC contents
- Fixed: Duplicating events
- Fixed: Providing discount per user role (pro)
- Fixed: An issue regarding the booking reminder notification (pro)
- Fixed: Stopped sales tickets (pro)
- Fixed: Shortcode search-bar styling
- Fixed: Booking shortcode styling(pro)
- Fixed: Some issues in date display

v 5.16.2 – 15 January 2021
- Fixed: No event found issue in special conditions

v 5.16.1 – 13 January 2021
- Fixed: No event found issue

v 5.16.0 – 13 January 2021
- Added: PaidMembership Pro integration (pro)
- Added: Event Cost search option with min and max fields (pro)
- Added: Multiple Category Search to the filter options
- Added: An option to change event visibility and hide them in shortcodes
- Added: Ability to sort bookings by Event ID (pro)
- Added: Two new “After Add to Cart” methods to provide optional link and message to the booker user (pro)
- Added: An ongoing label for ongoing events
- Added: A new column in backend events list to show the count of all sales (pro)
- Fixed: An issue on required fields of “Frontend Submission”
- Fixed: An issue on showing all day ongoing events
- Fixed: An issue on “Total User Booking” field in “Frontend Submission” (pro)
- Fixed: An issue in month filter
- Fixed: An issue in carousel skin
- Fixed: An issue in validation of WC payment (pro)

v 5.15.5 – 30 December 2020
- Added: An advanced calendar method to show available occurrences to book (pro)
- Added: the feature to create segmetns in MailChimp integration (pro)
- Added: Ability to edit booking fields in “Booking Edit” page in WordPress backend (pro)
- Added: “Fallback Image“ feature to set an image for categories and display it as the event featured image if no image was set for the events
- Added: Link attribute “rel=noopener” for events display method to be able to set them to open in a new window
- Improved: MailChimp integration by adding some relevant tags to the subscribers (pro)
- Improved: The booking CSV import (pro)
- Improved: The booking reminder email (pro)
- Improved: Backend speed and optimization
- Improved: MEC capabilities (pro)
- Fixed: An issue in the “Next/Previous Events” Module
- Fixed: A date display issue on carousel skins
- Fixed: Importing modified series of Google events in addition to their main event
- Fixed: Carousel and slider issue in Divi page builder environment
- Fixed: MEC Shortcodes assets in Elementor page builder environment
- Fixed: Some issues on WP Multisite
- Fixed: Label of booking button (pro)
- Fixed: Arabic character in the event link
- Fixed: Some PHP notices

v 5.15.0 – 16 December 2020
- Added: A shortcode to display current users' events in a preferred skin e.g. monthly, list, grid, etc.
- Added: A new shortcode to generate a specific calendar for current user events
- Added: A date picker type for date field in search widget to provide an ability to select start and end dates on frontend instead of month and year
- Added: An ability to create all day events in custom repeat
- Added: An ability to show only one occurrence of custom day events
- Added: An ability to disable / enable booking sections on “Frontend Event Submission” (pro)
- Improved: The auto suggest location feature to fetch and save geo point in addition to address (pro)
- Improved: The Stripe gateway to work with no decimal currencies such as JPY (pro)
- Improved: The MEC's speed of  in some parts
- Fixed: Some issues related to WordPress 5.6
- Fixed: Some issues related to PHP8
- Fixed: An issue on hiding booking form and registration button when all gateways are disabled but WC system is turned on (pro)
- Fixed: An issue in rendering timestamps on rare conditions
- Fixed: An issue on pro shortcodes in MEC lite (lite)
- Fixed: An issue regarding getting event
- Fixed: Paragraph field
- Fixed: Showing time of all day events

v 5.14.0 – 2 December 2020
- Added: MailPoet integration (pro)
- Added: Sendfox integration (pro)
- Added: An option to disable/enable “Full Screen” button of Google Maps (pro)
- Added: An option to override MEC assets (JS, CSS, etc) in a child theme
- Added: Two new controls for carousel skin to manage auto play and loop
- Added: Gateway to the booking export (pro)
- Added: Private description for tickets to be included in the booking notifications (pro)
- Added: An option to show organizers' names in the list, grid, tile, masonry, daily, weekly, and timeline skins
- Added: Some new capabilities for MEC menus so users can create their own role for managing MEC
- Added: An ability to specify period for booking cancellation rules (pro)
- Added: An option to set background color for all notifications
- Fixed: Back button of booking module (pro)
- Fixed: Showing recently expired events when the shortcode is set to show only expired events
- Fixed: Outdated WordPress versions
- Fixed: An issue in finding events
- Fixed: Date format of timeline skin
- Fixed: Some issues related to Day Light Saving
- Fixed: Disabling all Google fonts
- Fixed: Some date format issues

v 5.13.6 – 18 November 2020
- Improved: Weekly skin to show events of the previous and next month in the current month (pro)
- Fixed: Showing long-time span events in shortcakes
- Fixed: Sending duplicated emails on booking reminder notification (pro)
- Fixed: Showing dates on the backend booking menu (pro)
- Fixed: Ticket variations in the booking export feature (pro)
- Fixed: Event description exported to Google or iCal services
- Fixed: Manual username and password in the booking form (pro)
- Fixed: Date format of multiple-day events
- Fixed: "%%payment_gateway%%" placeholder (pro)
- Fixed: Showing unlimited for tickets when the total booking is limited (pro)
- Fixed: The export and import of the advanced events
- Fixed: Related to Daylight Saving and Timezones
- Fixed: Some PHP notices

v 5.13.5 – 10 November 2020
- Added: “Event Sold-out” notification (pro)
- Added: “Booking Rejection” notification (pro)
- Added: Ability to translate booking fields in the translated event in multilingual websites (pro)
- Added: An option to exclude admin from recipients in admin booking notification (pro)
- Added: An option to specify the status of new events submitted from “Frontend Submission”
- Added: An option to redirect users to a certain URL after submitting events from the frontend instead of the WordPress page
- Added: Event description and featured image to the CSV export (pro)
- Added: An option to change auto verification status and auto-confirmation status per event instead of the global option (pro)
- Added: A new option to the existing “Next Event” module to display multiple occurrences of the current event instead of only one occurrence
- Added: A new integration with AWeber email marketing platform (pro)
- Improved: memory usage
- Fixed: Booking over total slots (pro)
- Fixed: Masonry skin (pro)
- Fixed: Reminder notification (pro)
- Fixed: Verification and cancellation links (pro)
- Fixed: An display issue regarding the location on PDF invoice (pro)
- Fixed: Event popup
- Fixed: Booking dates of custom single pages
- Fixed: Booking validation on payment step (pro)
- Fixed: Color style on the map view shortcode and next/previous module
- Fixed: some PHP notices

v 5.13.1 – 28 October 2020
- Added: An option to disable “Lock pre-filled fields” for other attendees (pro)
- Added: A new placeholder to show “Event Timezone” in email notifications (pro)
- Fixed: Registration button box on single event pages (pro)
- Fixed: Date field in booking form (pro)
- Fixed: Showing time of multiple day events
- Fixed: An issue in search bar
- Fixed: Admin notification (pro)
- Fixed: Booking module (pro)
- Fixed: An issue in iCal export module
- Fixed: An issue in language of Google maps (pro)
- Fixed: Geolocation feature of map skins (pro)
- Fixed: Date format of multiple day events
- Fixed: Some PHP notices and warnings

v 5.13.0 – 20 October 2020
- Added: Learn dash integration by linking a course to any ticket and enrolling the user to learn dash course after booking (pro)
- Added: A new integration with BuddyPress by showing the “Frontend Event Submission” on the profile menu
- Added: Category display to tile, masonry, timeline, daily, weekly and minimal style of list skin (pro)
- Added: An ability to import events from WP Event Manager plugin (pro)
- Added: Occurrence dates on booking edit page in the backend of “Sell all occurrences by one booking” (pro)
- Added: An option to change the start time of ticket sale per event
- Added: An ability to make some fields mandatory in “Frontend Event Submission” (pro)
- Added: An option to set required fields in “Frontend Event Submission”
- Added: Yesterday, Last Week, Last Month, and Last Year to the start date options
- Added: Custom shortcake option for category archive pages
- Added: A new option in the reports menu to send a copy of the email to the website admin (pro)
- Improved: The WooCommerce Payment System to validate the availability of tickets before checkout (pro)
- Improved: The label of booking button by adding a separate option in the messages panel (pro)
- Improved: The tile skin by making the image clickable
- Improved: The last PayPal error on Gateway options (pro)
- Improved: The report menu by sorting the attendees alphabetically (pro)
- Fixed: Some issues in MEC registration system (pro)
- Fixed: An issue in manual username and password fields (pro)
- Fixed: An issue with event filter in manage bookings menu in backend  on multilingual websites (pro)
- Fixed: Some multilingual issues reported by WPML team
- Fixed: An issue in required name and email on register form (pro)
- Fixed: Recaptcha layout on modal popup (pro)
- Fixed: Some minor issues

v 5.12.6 – 7 October 2020
- Added: An option to change the countdown method per event
- Added: A new option to WooCommerce system to disable/enable MEC booking form (pro)
- Added: A new ability to resend booking verification email (pro)
- Added: An ability to resend booking confirmation email (pro)
- Added: An option to disable/enable payment gateways per event (pro)
- Added: Next/Previous module
- Improved: The WooCommerce system to automatically load event featured image if the ticket product doesn’t have any image (pro)
- Improved: The WooCommerce system to consider coupon and price after discount (pro)
- Improved: The WooCommerce system to display booking date next to the ticket name (pro)
- Fixed: An issue in showing date labels
- Fixed: An issue in yearly view to automatically load the event if hidden (pro)
- Fixed: An issue in the default value of repeat interval
- Fixed: A jQuery issue

v 5.12.5 – 30 September 2020
- Added: An ability to set different timezone per event
- Added: An option to disable/enable timezone per event feature
- Added: An ability to set coupons for multiple events for better management (pro)
- Added: An option to disable links to single event pages in different skins
- Added: An option to lock pre-filled fields and make them read-only in booking form (pro)
- Added: 3 placeholders for additional organizers (pro)
- Added: Event fixed fields to the booking export (pro)
- Added: Event start date in reports menu (pro)
- Added: An option to show categories in list and grid skins
- Added: Location name into the CSV export (pro)
- Added: A function for displaying related events in single event pages
- Added: An option to disable admin notification for admin of website but keep it enabled for other recipients (pro)
- Improved: The Frontend Event Submission by adding a user for the guest user and assigning it as an event owner after event approval by admin
- Improved: The website speed by loading JS and CSS files into the website footer
- Improved: The database queries to speed up the frontend views
- Removed: Constant Contact .zip file
- Fixed: An issue in “Show only one occurrence” events in very special conditions
- Fixed: Some query issues during the update
- Fixed: An issue in Import/Export cron jobs (pro)
- Fixed: An issue in required radio fields
- Fixed: An issue in the headline of the checkout step (pro)
- Fixed: Some translation issues
- Fixed: Some issues

v 5.12.0 – 15 September 2020
- Added: An option to provide a discount per user roles (pro)
- Added: An option to show the date number before the month in Monthly Skin
- Added: Ongoing events in the Map Skin (pro)
- Added: An option to open event in a new window for shortcodes
- Changed: "Separate Window" to "New Window"
- Improved: The Weekly Skin regarding the showing dates of the previous month and the next month (pro)
- Improved: The feature of discount for logged in users (pro)
- Improved: The WC integration to fill the booking form before adding to the cart process (pro)
- Fixed: Showing the invoice link after a successful booking (pro)
- Fixed: Regarding the show of the post image twice on some WordPress themes
- Fixed: Regarding the reports menu on multilingual websites (pro)
- Fixed: Timetable Skin (pro)
- Fixed: Some notices

v 5.11.5 – 9 September 2020
- Added: Compatibility with Polylang (pro)
- Added: An ability to show events of previous month and next month in monthly skin when some days are visible in current month
- Added: Ability to refund bookings from backend when paid by Stripe gateway (pro)
- Added: A custom class for custom fields
- Improved: Stripe payment system (pro)
- Updated: Dutch (Netherlands) language (Thanks to Elmar)
- Updated: French translation (Thanks to Michael Berthoud)
- Fixed: Constant Contact class (pro)
- Fixed: Some issues with WPML (pro)
- Fixed: Featured image in RSS feed
- Fixed: An issue regarding showing event field placeholders in email notifications (pro)
- Fixed: An issue in booking modal (pro)
- Fixed: A PHP version conflict in timetable skin (pro)
- Fixed: Some PHP notices in timetable skin (pro)
- Fixed: Some issues regarding cancellation notification (pro)
- Fixed: Some minor issues

v 5.11.0 – 2 September 2020
- Added: An ability to prevent user creation when booking in WordPress (pro)
- Added: An ability to change the event status per occurrence (pro)
- Added: An ability to insert username and password fields for main attendee during the booking (pro)
- Added: New %%online_link%% placeholder for email notifications (pro)
- Added: iDEAL payment to the stripe gateway (pro)
- Improved: Google synchronization (pro)
- Improved: Image inclusion in RSS feed
- Defined: Some of PHP functions in the MEC core in order to be compatible with older versions of PHP
- Hide: Some features in MEC lite (lite)
- Fixed: Some PHP errors on special conditions
- Fixed: Some PHP notices

v 5.10.0 – 19 August 2020
- Added: An option to use WooCommerce as Booking and Payment System (pro)
- Added: An ability to cancel bookings after cancelation or refund of WC order (pro)
- Added: An ability to see whole events on timetable skin even if some of week days are before or after the current month (pro)
- Added: Two new placeholders in notification placeholders for event link and more info link (pro)
- Added: Time display in carousel skin
- Added: An option to display price per attendee in email notifications instead of total booking price (pro)
- Added: Website field for the speakers
- Improved: The event schema by adding more items
- Fixed: Month filter of full calendar search
- Fixed: translatable "Sold Out!" string (pro)
- Fixed: Regarding showing correct dates on single skin
- Fixed: Conflict with Divi Theme Builder
- Fixed: Conflict with WPBakery Page Builder Select2
- Fixed: Current day without event issue on Monthly/Calendar skin classic style

v 5.9.5 – 12 August 2020
- Added: A new system to provide ability to change event parameters per occurrence (pro)
- Added: An ability to set booking limit per different occurrences (pro)
- Added: An ability to provide a per event discount for ticket prices to logged users (pro)
- Added: Two new placeholders to display next occurrences of booked event (pro)
- Added: A new placeholder to generate google calendar link for next occurrences of the booked event (pro)
- Added: 3 new messages to the configurable messages in Settings->Messages (pro)
- Added: Next occurrences dates of event in booking module when the event is set to “Sell All Occurrences By One Booking” (pro)
- Added: Some hooks to the event link for third party developers
- Improved: The dates creation function to don’t create dates more than 7 years
- Improved: The Buddypress integration to don’t show user emails and use their display name and full name (pro)
- Improved: The date limit on booking form (pro)
- Improved: Booking Settings (pro)
- Fixed: Constant Contact Integration (pro)
- Fixed: Ticket Variations and blank field (pro)
- Fixed: Imported countdown, available spot, and cover shortcakes (pro)
- Fixed: An issue when Fluent add-on is not installed
- Fixed: Importing advanced repeat events from Google
- Fixed: Showing dates in event details page
- Fixed: Exporting attendees from the frontend dashboard (pro)
- Fixed: Set Google fonts on widgets
- Fixed: some PHP notices

v 5.9.0 – 29 July 2020
- Added: An ability to import bookings from CSV file (pro)
- Added: An option to restrict the booking cancellation time (pro)
- Added: Cost and categories to the RSS feed
- Added: Booking fields to the CSV and MS Excel export of the events (pro)
- Added: Event end date and time to the booking CSV export (pro)
- Added: Some hooks for customizing the events RSS feed
- Improved: The booking system by removing transaction data after removing the booking (pro)
- Improved: Add booking from the backend to insert attendee email in the booking title in addition to the attendee name (pro)
- Improved: The load time of simple style of monthly skin
- Improved: The way of printing ticket variations in booking export (pro)
- Improved: The notification per event system (pro)
- Improved: Searching on MEC settings
- Fixed: Update events when custom fields form has required fields
- Fixed: Some issues related to booking fixed fields (pro)
- Fixed: Some issues regarding event fields
- Fixed: A conflict in booking edit form when some new required fields Added: to booking form (pro)
- Fixed: Search widget related to the default value of month filter
- Fixed: Report email about sender name and email (pro)
- Fixed: Booking expired events in some conditions (pro)
- Fixed: Showing google ReCaptcha when the event is sold (pro)
- Fixed: Showing wrong end dates for multiple-day events in the single event page
- Fixed: Booking ongoing events when the already even started (pro)

v 5.8.5 – 21 July 2020
- Added: Booking button to all skins and ability to open the booking button in modal window (pro)
- Added: An ability to change subject and content of notifications per event (pro)
- Added: %%book_datetime%% placeholder to show book date and time together (pro)
- Improved: The %%book_date%% and %%book_time%% placeholders (pro)
- Hide: Subtotal in WooCommerce checkout for orders created by MEC (pro)
- Fixed: Number of attendees in Added: bookings from backend (pro)
- Fixed: Showing times of same day events in some situations
- Fixed: Expired events and “Show only one Occurrence option”
- Fixed: Showing an invalid sold out label (pro)
- Fixed: SEO Schema

v 5.8.0 – 15 July 2020
- Added: Booking shortcode to include booking module for certain events into any WP page / posts (pro)
- Added: A new system to don’t re-import Google Calendar events when they’re modified in the website
- Refactored: The midnight and multiple day events
- Improved: Speed optimization
- Improved: The “Event User Publishing” notification to send notification to event owner when there is no guest email
- Fixed: Showing booking button when all tickets are sold out (pro)
- Fixed: Booking form of modal window (pro)
- Fixed: Apostrophe issue in event fields
- Fixed: Inserting none numeric characters in number fields (pro)
- Fixed: Some translation issues
- Fixed: Some issues in notifications settings menu in MEC lite
- Fixed: Unlimited ticket variations (pro)
- Fixed: %%event-start-date%% and %%event-end-date%% placeholders (pro)

v 5.7.5 – 9 July 2020
- Refactored: The booking reminder to accept hours interval instead of days (pro)
- Added: A download-able file feature. This file can be downloaded after confirmed booking by bookers (pro)
- Added: A placeholder to include the downloadable file link in booking notifications (pro)
- Added: An option to disable confirmation email (pro)
- Added: A feature to show attendees of bookings in main booking manage page (pro)
- Added: Featured image of events into the RSS feed
- Added: Available tickets if user is restricted to book only 1 ticket (pro)
- Improved: The stripe payment by sending payer email (pro)
- Improved: The display of time for those multiple days events that last after midnight
- Improved: The search module to show searched events
- Improved: The “Show Booking Form Interval” option to be more compatible with “Sell All Occurrences” events (pro)
- Updated: Polish translation (Thanks to Monika Osowicz)
- Fixed: Some issues in fixed and per attendee booking fields (pro)
- Fixed: Some issues in event fields
- Fixed: Some translation issue in single event modules
- Fixed: An issue in booking module loaded in popup event (pro)
- Fixed: An issue in google calendar link in email notifications
- Fixed: An issue in event link for recurring events in email notifications
- Fixed: An issue in archive page meta title

v 5.7.0 – 1 July 2020
- Added: WeatherAPI.com provider for weather module (pro)
- Added: A new feature to sort payment gateways in backend and frontend (pro)
- Added: A new feature to assign a certain role to users created after booking (pro)
- Added: A date filter option in booking management menu (pro)
- Added: Booking fixed fields which are per booking instead of per attendee (pro)
- Added: %%attendees_full_info%% placeholder to all notifications (pro)
- Added: %%payment_gateway%% placeholder (pro)
- Added: %%booking_id%% placeholder (pro)
- Added: %%booking_transaction_id%% placeholder (pro)
- Added: %%ticket_name%% and %%ticket_time%% placeholders to notifications (pro)
- Improved: The Facebook Importer
- Improved: The attendees section of Frontend Submission
- Fixed: An issue related to event time in booking notifications (pro)
- Fixed: Some issues in free gateway (pro)
- Fixed: An issue in “Show Booking Form Interval” option (pro)
- Fixed: Some issues in MEC backend menus in different languages
- Fixed: An issue in showing 0 attendees in Frontend Submission
- Fixed: A conflict with “WP Recipe Maker plugin
- Fixed: A conflict with “Learn Press” plugin
- Fixed: Booking modal responsive on mobile (pro)

v 5.6.5 – 24 June 2020
- Added: Custom Fields for event in backend
- Added: Custom Fields for event in Frontend Submission Form
- Added: Showing event data fields in event backend form
- Added: showing event data fields in Frontend Event Submission
- Added: Rearrange ability for Custom Fields
- Added: An option to disable/enable the display of event fields in single skins
- Added: Placeholders for data fields to be included in the notifications
- Added: File URL to the %%attendees_full_info%% placeholder (pro)
- Added: A new option in Reports menu to show all attendees of “Sell all occurrences by one booking” events (pro)
- Added: An option to hide booking date and time in invoice of “Sell all occurrences by one booking” events (pro)
- Fixed: Showing booking Google Recaptcha option (lite)
- Fixed: Showing expired events
- Fixed: Showing sold out label
- Fixed: Date filter of booking manage page (pro)
- Fixed: Showing dates and times in single events page in special cases
- Fixed: The price of tickets (pro)
- Fixed: iCal export in “All day” events
- Fixed: The limit of events
- Fixed: BuddyPress integration (pro)
- Fixed: Some notices

v 5.6.1 – 16 June 2020
- Improved: Backend speed by refactoring the backend CSS and JS loading
- Improved: Show errors upon featured image uploads in Frontend Event Submission if needed
- Improved: The plugin uninstallation by removing more data
- Improved: The related events module by hiding expired events
- Improved: The loading of multiple day events in tile and agenda skins (pro)
- Improved: The attendees module of BuddyPress integration (pro)
- Updated: Whatsapp share URL
- Optimized: Mass email sending in the reports menu (pro)
- Fixed: Local time module that occurs in some rare conditions
- Fixed: Location auto-suggest fields when the API key is not inserted (pro)
- Fixed: Booking message in case of free booking (pro)
- Fixed: Booking module regarding displaying extra elements after a successful booking (pro)
- Fixed: Notification placeholders (pro)
- Fixed: Ordering custom days events
- Fixed: Google Calendar import
- Fixed: Stripe payment (pro)
- Fixed: Default configuration of full calendar skin
- Fixed: Divi builder in Divi child themes
- Fixed: Availability of “Sell all occurrences” events (pro)
- Fixed: Some issues in profile short-code regarding date and time format (pro)
- Fixed: Some issues related to Pro features in Lite version
- Fixed: Monthly Calendar RTL
- Fixed: Wizard dark mode
- Fixed: Wizard time picker
- Fixed: A conflict with “Admin column” plugin

v 5.6.0 – 11 June 2020
- Refactored: Booking system to be compatible with multiple occurrences in one day (pro)
- Added: Multiple occurrences in one day
- Added: %%ticket_name_time%% placeholder in notifications (pro)
- Added: An option to disable booking restrictions with User IP (pro)
- Added: An option to automatically map event locations and organizers with the translated ones in WPML duplicate (pro)
- Added: Some filter and actions for third party developers
- Added: Front-end event submission required form
- Added: Active Campaign integration (pro)
- Improved: The next event module to work with multiple occurrences in one day
- Improved: %%ticket_name%% and %%ticket_time%% placeholders to print multiple data if available (pro)
- Improved: The login shortcode (pro)
- Improved: The local time module to work with multiple occurrences in one day
- Improved: The map module in list and grid skins (pro)
- Removed: Total bookings widget in the WordPress dashboard (lite)
- Fixed: “Reports” page regarding showing those attendees that bought all occurrences of an event at once (pro)
- Fixed: Available spots skin regarding showing remained spots (pro)
- Fixed: “Stop Selling” ticket option (pro)
- Fixed: A conflict with “Visualizer Table and Charts” plugin
- Fixed: A conflict with “Advanced Ads” plugin
- Fixed: A conflict with “Newsletter” plugin
- Fixed: Showing sold-out flag (pro)
- Fixed: Related events module

v 5.5.0 – 1 June 2020
- Added: Price display in all views of full calendar skin
- Added: A default comment for payment gateways (pro)
- Added: Total bookings widget in the WordPress dashboard (pro)
- Added: Print widget in MEC dashboard and provide the ability to print events of a certain month
- Added: A new option to set a maximum size for images uploaded from “Frontend Event Submission”
- Added: A new feature to breadcrumb to display referred shortcode instead of archive page
- Added: Excerpt field to the “Frontend Event Submission”
- Added: “All day” string to the translate-able strings
- Added: Advanced repeating string to the translate-able strings
- Improved: The performance of booking transactions (pro)
- Improved: Sending emails
- Fixed: Single event page modern style when no set featured image
- Fixed: Final message for free booking messages (pro)
- Fixed: Google Recaptcha
- Fixed: Stop selling tickets (pro)
- Fixed: Tile view overlay skin
- Fixed: Display content's images as Popup
- Fixed: Some PHP notices
- Fixed: Some minor issues

v 5.4.6 – 17 May 2020
- Added: <a href="https://webnus.net/modern-events-calendar/addons/fluent-view-layouts/?ref=17" target="_blank">Fluent-view</a> addon options (Free Addon)

v 5.4.5 – 14 May 2020
- Added: A holding status label next to date options in single event
- Added: Minimum and maximum ticket options for coupons (pro)
- Added: Maximum discount option for coupons (pro)
- Added: Two placeholders for additional locations name and address
- Added: Ongoing / Expired options to agenda and timeline skins
- Improved: UX of shortcake builder
- Improved: Reports menu to show all attendees of events (pro)
- Improved: Booking Form to won’t show date and ticket count fields when not applicable (pro)
- Improved: UX of date options of short-code builder
- Fixed: “Show Booking Form Interval” option. (pro)
- Fixed: A search issue in agenda skin (pro)
- Fixed: An issue in full calendar when used as category archive
- Fixed: Classic editor of WordPress
- Fixed: Backend responsive on mobile and tablet 
- Fixed: Reason for cancellation conditions
- Fixed: Timeline image link on modal popup
- Fixed: Schema

v 5.4.0 – 5 May 2020
- Added: An option to add different hours for custom days repeat type
- Added: An option to keep status of events while importing XML file
- Added: Compatibility with Rank Math and Schema Markup Rich Snippets
- Added: Some new guides in filter section of shortcake builder
- Added: Beaver Builder Shortcode
- Improved: Booking process in case of free booking (pro)
- Fixed: Local time on shortcodes
- Fixed: Tile view responsive on mobile and tablet
- Fixed: iCal export
- Fixed: “Show only first day” option in skins
- Fixed: Ticket availability in popup mode (pro)
- Fixed: Disable MEC schema codes when Rank Math and Schema Markup Rich Snippets plugins are activated
- Fixed: Search bar related to disabling the text input
- Fixed: Reset search of WordPress created by search bar

v 5.3.5 – 28 April 2020
- Added: An option to accept one booking for all occurrences of a certain event (pro)
- Added: Internal cache solution to cache frequently used data
- Added: Style for taxonomies
- Disabled: Yearly view by default in full calendar (lite)
- Updated: French translation (Thanks to Bernard)
- Used: A new formula for booking price calculation (pro)
- Fixed: Price calculation after applying percentage coupons (pro)
- Fixed: Event time form
- Fixed: Yearly repeat
- Fixed: Loading local time in skins
- Fixed: Closing tag in grid skin
- Fixed: Normal mode of search bar
- Fixed: An issue in table creation when InnoDB module is not installed on MySQL server
- Fixed: Display Normal label and Cancellation reason in full calendar
- Fixed: some PHP notices

v 5.3.0 – 21 April 2020
- Added: Minimum option for coupons (pro)
- Added: An option to display event time in grid skin
- Added: Grid and tile skins to the full calendar skins
- Added: Dark mode styles for wizards popup
- Updated: The whole textual Back-end interface of the plugin for English
- Fixed: Locked the "Enter Key" on search bar Ajax mode
- Fixed: Wrong local-time date on shortcodes
- Fixed: Display image content on modal popup
- Fixed: A conflict with Seopress plugin
- Fixed: A Conflict with Neve theme
- Fixed: Related evens module
- Fixed: Search bar
- Fixed: Some minor issues

v 5.2.7 – 14 April 2020
- Fixed: An issue with full calendar

v 5.2.6 – 14 April 2020
- Added: Start and end dates in RSS feeds
- Increased: Default date generation limit for advanced events
- Fixed: Showing correct error on Facebook importer (pro)
- Fixed: Loading gateway options when booking module is disabled (pro)
- Fixed: Transaction ID in PayPal Gateway (pro)
- Fixed: Google Maps Geo code on Safari browser (pro)
- Fixed: The new events badge in backend
- Fixed: Divi theme builder and the Bloom plugin (tinymc conflicts)
- Fixed: Tile view responsive size on mobile and tablet
- Fixed: Close button on modal popup view responsive size on mobile and tablet
- Fixed: Hover style on the grid view skin minimal style

v 5.2.5 – 8 April 2020
- Added: Normal Label to all skins
- Added: Cancellation reason to all skins
- Added: Cancellation reason to single and popup single page
- Added: Delete event feature on Google Calendar Export and Google Calendar import
- Added: URL field for locations
- Fixed: Carousel and slider skins
- Fixed: User booking limit
- Fixed: Weekly view
- Fixed: Search when working with expired events
- Fixed: Some minor issues

v 5.2.3 – 31 March 2020
- Added: SEO Schema section to specify event status due to COVID-19 (New properties for virtual, postponed, and canceled events — <a href="https://bit.ly/2ygWgF4" target="_blank">read more here</a>)
- Added: A new currency (Israeli Shekel)
- Changed: The next and back button positions on the booking form (pro)
- Fixed: MEC sender name and email
- Fixed: MEC Archive page
- Fixed: An issue in update client of MEC
- Fixed: Advanced repeat
- Fixed: Internal cronjob of MEC (pro)
- Fixed: The "New Event" notification

v 5.2.2 – 24 March 2020
- Added: An option in tile skin to load events in list view
- Fixed: A display issue in tile skin
- Fixed: An issue regarding showing red borders in booking modal for required fields (pro)
- Fixed: Some PHP notices in event popup
- Fixed: Order of booking fields on the classic form builder (pro)
- Fixed: Masonry skin regarding showing events in modal (pro)
- Fixed: Event import (xml file)
- Fixed: Plugin deletion

v 5.2.1 – 18 March 2020
- Added: New skins in default shortcakes
- Added: File field in booking edit menu (pro)
- Added: An option to change the format of the date picker
- Added: A custom class for all "Last Few Tickets" (pro)
- Added: A new Geo-Location option to disable autofocus on user position (pro)
- Added: An option to show the Local-Time for all shortcodes
- Changed: "Modal 1" name to "Modal Popup"
- Fixed: Number of dates in booking edit menu (pro)
- Fixed: Showing unrelated events in monthly skin
- Fixed: Removing MEC data after uninstallation when the data remove option is enabled.
- Fixed: Importing Facebook images (pro)
- Fixed: Updating previously exported events to Google Calendar
- Fixed: Showing wrong dates with WordPress i18n date function
- Fixed: Font face on a single event
- Fixed: Address search field position
- Fixed: Modal Popup view on Monthly/Calendar skin simple type
- Fixed: Free Booking button when using 100% coupon (pro)
- Fixed: Some minor issues

v 5.2.0 – 10 March 2020
- Added: Add Event Wizard - hard-refresh is required
- Added: Custom fields to the booking edit menu (pro)
- Added: A validation for payment gateway options - hard-refresh is required (pro)
- Added: Address filter
- Increased: Number of dates in booking edit menu (pro)
- Fixed: Weather module (pro)
- Fixed: An issue in date i18n of related events module
- Fixed: Bulk Edit of events
- Fixed: A date focus issue on timetable skin
- Fixed: User Event Publishing notification
- Fixed: Weekly view of full calendar skin
- Fixed: Widgets view styles
- Fixed: Some minor issues

v 5.1.8 – 3 March 2020
- Added: Dark Mode
- Added: Modal method for carousel skin
- Added: Date formats in full calendar skin for list and yearly skins
- Improved: security of settings menu.
- Fixed: Wrong date in Southern hemisphere

v 5.1.7 – 29 February 2020
- Fixed: Improve ajax access for causing XSS security issues

v 5.1.6 – 18 February 2020
- Added: Occurrence to related events module
- Added: Order time column to the CSV Export (pro)
- Added: Some strings to WPML compatibility (pro)
- Fixed: HTML tag in bulk email (pro)
- Fixed: "Thank You Page" in PayPal Express gateway (pro)
- Fixed: Day light saving for booking module
- Fixed: A duplicate booking in free bookings (pro)
- Fixed: A duplicate booking in Stripe gateway (pro)
- Fixed: "mec_admin_localize" error when tinymce exists in pages.
- Fixed: A canvas issue in map module of list and grid skins (pro)
- Fixed: Required file field of booking module (pro)
- Fixed: Content position on slider view type 3
- Fixed: Container on the category archive pages
- Fixed: Structured Data
- Fixed: Some warnings in PHP 7.4 (pro)
- Updated: German translation (Thanks to Marius Kreyßel)

v 5.1.5 – 12 February 2020
- Added: An option to disable "Auto Confirmation" for Pay Locally gateway (pro)
- Added: Used coupons in booking details view and booking invoice (pro)
- Added: An option to save Start and End dates of Google calendar import
- Added: An option to disable / enable sending confirmation email in auto confirm mode (pro)
- Added: Use WordPress time format in local time module
- Added: An Organizer and other organizer description options
- Changed: "All of the day" to "All Day"
- Fixed: Thank you page of "Frontend Event Submission"
- Fixed: a PHP warning in export
- Fixed: Event time in 0 hour
- Fixed: Close div tag in grid view skin
- Fixed: Tile view overlay style
- Fixed: The dates when day light saving happens
- Fixed: Monthly calendar skin simple view responsive mobile size
- Fixed: Some minor issues

v 5.1.0 – 5 February 2020
- Added: Shortcode wizard - hard-refresh is required
- Removed: Back button after payment in booking module (pro)
- Fixed: Read more link in single event page
- Fixed: An event link issue in map modules
- Fixed: MEC widget and list view

v 5.0.5 - 29 January 2020
- Added: Versioning to asset files
- Added: A WordPress cron for booking reminder emails (pro)
- Fixed: All day events
- Fixed: When event time is hidden
- Fixed: WooCommerce gateway (pro)
- Fixed: Booking edit (pro)
- Fixed: Apostrophe in booking success message (pro)
- Fixed: Day focus of daily skin
- Fixed: Accordion month toggle
- Fixed: Sort event in masonry skin (pro)
- Fixed: Current year in search module
- Fixed: Advanced repeat
- Fixed: Pay button position when cart is invalid (pro)
- Fixed: Simple monthly calendar style

v 5.0.2 - 22 January 2020
- Added: An ability to add users as recipients in notifications (pro)
- Added: An ability to add user roles as recipient in notifications (pro)
- Added: LinkedIn to speakers
- Removed: "Schedule" message in bookings (pro)
- Changed: "none" to "select" for date search field in  Full Calendar shortcode
- Fixed: A timeout issue in ICS and XML import
- Fixed: An organizer issue in ICS and XML import
- Fixed: Hide other organizer section when main organizer is set to be hidden
- Fixed: Minimum ticket option (pro)
- Fixed: Tags search field
- Fixed: Weekly repeating in multiple-day events 
- Fixed: Booking module (pro)
- Fixed: Typography (attendee's form and stop selling ticket warning - pro)
- Fixed: Hide search form option for Timeline shortcode in the backend page
- Fixed: Some issues concerning PHP 7.4

v 5.0.1 - 14 January 2020
- Added: An option to set maximum date for certain skins
- Added: Currency to WooCommerce order (pro)
- Added: Attendees count in backend booking form (pro)
- Disabled: Auto confirmation when paid by "Pay Locally" gateway. (pro)
- Fixed: Price per date in "Frontend Event Submission"
- Fixed: Localized dates
- Fixed: Admin notification system
- Fixed: Next event module
- Fixed: "Advanced" repeat type regarding showing dates
- Fixed: Month filter in search module
- Fixed: Some minor issues

v 5.0.0 - 8 January 2020
- Added: An option to change MEC midnight hour for those events that span after the actual midnight
- Added: A per event option to show only one occurrence of the event
- Added: "Back Button" for booking form so users can simply navigate to previous step if needed (pro)
- Added: Filter by category on masonry skin when trying to load more events
- Added: Campaign Monitor Integration (pro)
- Added: MailerLite Integration (pro)
- Added: Constant Contact Integration (pro)
- Replaced: "Attendees" menu from back-end with new "Report" page (pro)
- Added: Booking report page (pro)
- Improved: Make date filter disabled by default on list and grid skins to avoid confusion
- Fixed: Register link when all tickets are sold (pro)
- Fixed: Advanced repeat type

v 4.9.5 - 24 December 2019
- Added: An option to set minimum sale for tickets (pro)
- Added: A new badge for new events to inform administrator
- Added: An option for Facebook importer to import Facebook link as event link (pro)
- Added: An option for Facebook importer to import Facebook link as more info link (pro)
- Added: Mass email feature in attendees menu so admin can send mass email for selected attendees of a certain event at a specific date (pro)
- Added: Payment information such as gateway and payment time in invoices (pro)
- Added: WooCommerce order link in booking menu if booking is paid by WooCommerce (pro)
- Added: An option to stop selling tickets at a certain time before the event starts (pro)
- Added: Popular Social Networks (share): Tumblr, Pinterest, Flipboard, GetPocket, Reddit, WhatsApp and Telegram.
- Fixed: A security issue on iCal download
- Fixed: Date on next event module and export module
- Fixed: The iCal export button
- Fixed: Extra columns in CSV and MS Excel export (pro)
- Fixed: Extra comma in the list view minimal when not having a location
- Fixed: Some minor issues

v 4.9.0 - 10 December 2019
- Added: An advanced option to edit bookings from backend (pro)
- Added: Ticket variation option to edit bookings (pro)
- Added: Recalculate price option for edit bookings (pro)
- Added: An ability to remove and add attendees in edit bookings (pro)
- Added: Event featured image placeholder (pro)
- Added: Booking order time as a new placeholder (pro)
- Added: Tile view skin
- Added: A new booking badge to show amount of unread bookings in admin panel (pro)
- Added: An option to show name of all attendees in attendees module in event details page - you need to install BuddyPress plugin (pro)
- Added: Display Soldout and Last Few Tickets flags for events (pro)
- Added: An option to send confirmation notification just to the main attendee instead of all attendees (pro)
- Added: An option to change sender name and sender email of WordPress emails
- Added: Show booking cancellation time in backend booking menu (pro)
- Changed: Text field type to textarea field for description of the tickets (pro)
- Improved: "Remove" ticket button in single event edit page (pro)
- Fixed: Location of Google Calendar link
- Fixed: Event end date in notifications (pro)
- Fixed: Auto Synchronization (pro)
- Fixed: Booking reminder notifications (pro)
- Fixed: Ticket styling in single event edit page (pro)

v 4.8.5 - 28 November 2019
- Added: Attendees menu of all Events menu in WordPress backend (pro)
- Added: Order time in bookings menu (pro)
- Added: Filter by order date in bookings menu (pro)
- Added: Main attendee email in booking title in addition to main attendee name (pro)
- Changed: The default order of bookings to show the newest first (pro)
- Updated: Support page in MEC backend menu
- Fixed: The back link in PDF invoice (pro)
- Fixed: Notification %%book_time%% placeholder (pro)
- Fixed: A geographical coordinates points issue (pro)
- Fixed: Not running the Divi shortcodes
- Fixed: Images in Popup

v 4.8.3 - 25 November 2019
- Fixed: Headers already sent warning

v 4.8.2 - 25 November 2019
- Added: The ticket variations in CSV and Excel exports in Backend and "Front-end Event Submission" (pro)
- Added: Timeline view
- Added: Geolocation feature for map feature of list and grid skins (pro)
- Fixed: Validation for second attendees in booking module (pro)
- Fixed: A required validation issue on the booking form for some fields (pro)
- Fixed: "Show Only Expired Events" mode
- Fixed: A focus issue on daily skin
- Fixed: Set geographical coordinates when add in single event page (pro)

v 4.8.1 - 13 November 2019
- Fixed: Monthly view (clean style)
- Fixed: Datepicker
- Fixed: Google Map view in single event page (pro)

v 4.8.0 - 12 November 2019
- Added: Import events from Event Espresso Plugin
- Added: Importevents from Events Manager Plugin
- Added: An option to show event start/end time in list skin
- Added: Thank you page for Front-end Event Submission
- Added: Event start/end date to notifications (pro)
- Added: Newsletter box in MEC dashboard and support page for subscription to MEC news
- Added: Premium support box in support page
- Added: Čeština (translated by Michal Spielmann)
- Added: French (translated by Jean Ghislain)
- Improved: MS Excel export (pro)
- Fixed: Week start in repeating tab for "Certain Weekdays" repeat
- Fixed: Multi-booking through multiple clicks on the Booking button (pro)
- Fixed: An empty page issue in category archive page
- Fixed: Event name in profile shortcode (pro)
- Fixed: Book date and Google Calendar link in notifications (pro)
- Fixed: Some PHP notices
- Fixed: Some minor issues

v 4.7.7 - 30 October 2019
- Compatibility: WordPress 5.2.4
- Added: An option to manage waiting time before redirecting to Thank You Page (pro)
- Added: Display the total amount of purchased tickets in confirmation email (pro)
- Added: A note to speakers' tab after adding a speaker
- Fixed: Paypal Express (pro)
- Fixed: Filtering options in timetable skin (pro)
- Fixed: Disable invoice link when booking is not confirmed (pro)
- Fixed: "Show only Expired Events" in all skins
- Fixed: Advanced days
- Fixed: Some minor issues

v 4.7.6 - 22 October 2019
- Added: A guide message in "Show Only Expired Events" section in shortcode builder
- Added: A new message for booking verification (pro)
- Improved: Select organizers/locations in add event section
- Improved: Select organizers/locations/categories/label/author in add shortcode section
- Improved: Select organizers/locations in Front-end Event Submission section
- Improved: Category hierarchy in Front-end Event Submission
- Fixed: Monthly repeating
- Fixed: Select day color in yearly view
- Fixed: Change label of the fields of the form from messages options
- Fixed: User Profile responsive on mobile/tablet (pro)
- Fixed: Speaker module in accordion skin
- Fixed: Saving other locations in Front-end Event Submission
- Fixed: Featured image in Front-end Event Submission
- Fixed: Showing booking module (pro)
- Fixed: Cancellation page (pro)
- Fixed: Selected time zone for showing upcoming events
- Fixed: some PHP notices
- Fixed: Some minor issues

v 4.7.5 - 15 October 2019
- Added: Name field for Stripe gateways (pro)
- Added: Cancel links and map view to the profile shortcode (pro)
- Added: Booking fields to the translatable strings for WPML (pro)
- Added: Show cancellation time for canceled bookings (pro)
- Updated: Facebook documentation <a href="https://bit.ly/33xOQHS" target="_blank">link</a>
- Fixed: Disabled once to fix some issues on servers with cache (pro)
- Fixed: Showing dates in grid skin
- Fixed: Event title has special characters on email
- Fixed: Referred date option of weekdays and weekend events recurring
- Fixed: Showing ongoing events on shortcode
- Fixed: Number of tickets available (pro)
- Fixed: Hide event feature
- Fixed: Sorting dates on custom days
- Fixed: YouTube video on modal view
- Fixed: Cancelation notification (pro)
- Fixed: Categories icons view
- Fixed: Settings fields animations on Firefox
- Fixed: Some minor issues

v 4.7.1 - 02 October 2019
- Fixed: Register button when booking for ongoing events is disable (pro)

v 4.7.0 - 01 October 2019
- Added: CSV Export for Bookings in "Frontend Event Submission" (pro)
- Added: MS Excel Export for Bookings in "Frontend Event Submission" (pro)
- Removed: Nonce for iCal export button to be compatible with search engines
- Improved: Front-end event submission form and list style - hard-refresh is required
- Fixed: Booking limit message (pro)
- Fixed: Showing booking module for ongoing events (pro)
- Fixed: Warnings in RSS feed of events
- Fixed: Booking verification and booking cancelation pages
- Fixed: Disable booking button action when is loading - several bookings (pro)
- Fixed: Exceptional days Added: actions
- Fixed: Search in published events
- Fixed: Full calendar archive filters
- Fixed: Double click to open popup in map view on mobile/tablet (pro)
- Fixed: Long title in list view > Accordion style
- Fixed: Ticket availability (pro)
- Fixed: Countdown module in Available Spot shortcode (pro)
- Fixed: PHP errors

v 4.6.5 - 24 September 2019
- Added: Add mec-past-event for expired events in different skins
- Added: Event publishing notification for frontend event submission system with guest users 
- Added: An interval option to display booking module at certain times before the start of the event (pro)
- Added: Countdown module enhancement for considering the event end time when "Hide Event" method is set to "On Event End"
- Changed: Moving the frontend event submission message from bottom to top
- Fixed: No displaying Modal Booking on mobile and tablet (pro)
- Fixed: Modal booking style on mobile and tablet (pro)
- Fixed: Flip Countdown on mobile and tablet
- Fixed: Full width archive events page
- Fixed: Search bar in settings menu
- Fixed: Conflict between Ultimate GDPR Plugin and niceSelect
- Fixed: Toggle Messages in settings
- Fixed: Some minor issues

v 4.6.0 - 18 September 2019
- Added: Billing info to booking details page in backend (pro)
- Added: An option to enable booking while event is on going (pro)
- Added: Ticket time compatibility for 24 hours (pro)
- Improved: Admin dashboard styles (Settings, Shortcodes, Add event - hard-refresh required)
- Changed: Modern Events calendar icon in backend
- Fixed: NiceSelect on frontend event submission
- Fixed: ACF plugin conflict on shortcode page
- Fixed: Event bulk edit
- Fixed: Time dropdown in search form
- Fixed: Some minor issues

v 4.5.1 - 11 September 2019
- Compatibility: WordPress 5.2.3
- Fixed: Showing multiple names and emails in backend booking form (pro)
- Fixed: Date field in backend of booking form (pro)
- Fixed: Local time module regarding hour
- Fixed: Maximum year number in date fields in frontend and backend forms (pro)
- Fixed: Location, saving latitude and longitude
- Fixed: Send emails to all attendees instead of main attendees (pro)
- Fixed: Displaying Google Recaptcha in modals
- Fixed: Showing registration form data in backend (pro)
- Fixed: Ticket filter in booking management menu (pro)

v 4.5.0 - 4 September 2019
- Added: SCA compatibility for Stripe Payment Gateways (pro)
- Added: Google Maps option in list and Grid skins (pro)
- Added: A feature to update booking dates when event date is updated (pro)
- Updated: Stripe API to the latest version (pro)
- Upgraded: Stripe Element (pro)
- Fixed: Global limit for bookers (pro)
- Fixed: Twin search strings in backend

v 4.4.9 - 27 August 2019
- Fixed: Ajax live search
- Fixed: Some minor issue

v 4.4.8 - 22 August 2019
- Fixed: Disabling Schema option
- Fixed: Some minor issue

v 4.4.7 - 21 August 2019
- Added: Modern style search bar
- Added: Auto set cronjobs for synchronization
- Added: An option to not open current day in MEC widget
- Added: ID column and sort by ID in booking menu
- Added: Filter by ticket name in bookings menu
- Added: Advanced clustering feature for Google Maps
- Added: Duplicate link in event action links
- Added: An option for disabling Schema
- Fixed: Double tap feature for monthly calendar (simple skin)
- Fixed: Advanced repeat type
- Fixed: Countdown in module view and Countdown skin
- Fixed: Carousel view and "load more" button in Internet explorer

v 4.4.6 - 13 August 2019
- Added: Ajax live search to search bar
- Added: Filter before wp_mail (Booking Notification) for developers
- Fixed: Simple monthly calendar style
- Fixed: Daylight saving
- Fixed: Multiple days events
- Fixed: A two-year limit for filtering events
- Fixed: Yearly view search filter
- Fixed: Displaying total attendees in Booking Confirmation email
- Fixed: Displaying invoice link in booking when the invoice is disabled
- Fixed: Booking module in some themes (Lity popup)
- Fixed: Some minor issues

v 4.4.5 - 3 August 2019
- Added: Stripe Connect gateway to divide the booking payment between organizer and site owner
- Added: Ability to insert new speakers from "Frontend Event Submission"
- Improved: Only the role of administrators can see the license
- Fixed: Agreement field type
- Fixed: Booking Limit per user email option 
- Fixed: General search function in WordPress Media, Pages, Posts and all custom post types caused by Search Bar feature
- Fixed: Show "Sold Out" badge in monthly skin when an occurence is sold out completely
- Fixed "Load More" button at the bottom of the events page
- Fixed: Import from EventOn (when organizer "tel" field contains an email)
- Fixed: The mec_button and tiny_mce in FES form (JS error)
- Fixed: Popup image src on some of the themes
- Fixed: Back to Taxonomy Items when editing items (Organizers, Labels, Locations, Speaker)
- Fixed: Unclickable settings menus
- Fixed: Slider and Carousel view when events don't have featured images
- Fixed: Some minor issues

v 4.4.0 - 15 July 2019
- Added: Search bar shortcode
- Added: Organizer payment options
- Added: MEC shortcode element for the Divi builder
- Added: A new option to disable invoice
- Added: An option to limit maximum tickets that someone can book for all the tickets
- Added: Imperial units to weather module in addition to metric units
- Added: An option to toggle between imperial and metric units in weather module
- Added: The developer documentation <a href="https://bit.ly/2NReYuf" target="_blank">link</a>
- Fixed: "New Window" in more info link when booking is disabled
- Fixed: Load more button
- Fixed: Saving the changes in registration form builder
- Fixed: Not showing other events due to a problem in exceptional days
- Fixed: Masonry view by returning to Isotope library (hard-refresh required)
- Fixed: Some minor issues

v 4.3.6 - 2 July 2019
- Added: Limit option to full calendar skin in order to show more than 12 events per day
- Added: Recurring rule to the ICS export on event details page
- Added: End repeat option for advanced repeat type
- Fixed: Attendee module on showing count of tickets
- Fixed: "Invalid Request" notification in Booking form 
- Fixed: Frontend submission advance repeating style
- Fixed: RTL settings
- Fixed: Addon notifications style
- Fixed: Countdown mobile/tablet style

v 4.3.5 – 27 June 2019
- Compatibility: WordPress 5.2.2
- Added: Advanced repeating for the "nth" day of the week in a month
- Added: Speaker name to notifications
- Added: Functions to display widgets separately (For using in custom single event page)
- Added: do_action('mec_{skin_name}_skin_head'); at top of each shortcode
- Added: M.E. Calendar blocks to make it compatible with WordPress Block editor
- Added: Change settings styling to tabs
- Fixed: Page not scrolled to booking section when the button is clicked
- Fixed: Speaker popup in Divi theme
- Fixed: Display speakers in modal view
- Fixed: W3 validation for shortcodes
- Fixed: Full calendar search form
- Fixed: Sticky in settings
- Fixed: saving issue of categorized setting options in backend.
- Fixed: Some minor issues

v 4.3.2 – 17 June 2019
- Fixed: Notification tabs in settings

v 4.3.1 – 17 June 2019
- Added: "Number of Days" and "Week Start Day" options to clean style of timetable skin
- Added: Instagram to speakers
- Added: Search form to the clean style of timetable skin
- Added: All search options to full calendar skin
- Added: Event status in Frontend Event Submission views
- Added: Button in WordPress editor (TinyMCE) to insert shortcodes directly from editor
- Improved: MEC settings mobile /tablet view
- Removed: "Google +" social network
- Fixed: Active day issue on daily view
- Fixed: Block editor compatibility for category and speaker taxonomies
- Fixed: Displaying ticket when booking is Added: from backend
- Fixed: Title color issue on styling options for all shortcodes
- Fixed: Additional locations in single event modern skin
- Fixed: Responsive issue in Monthly view (simple style)

v 4.3.0 – 10 June 2019
- Added: Booking cancellation notification
- Added: New feature to disable admin notification
- Fixed: Not showing the event when it is on current day and it is not started yet
- Fixed: Issue in booking module regarding dates
- Fixed: Issue regarding showing day title when only 1 day is added
- Fixed: Some PHP notices

v 4.2.5 – 3 June 2019
- Improved: Tooltip notifications in the admin panel
- Improved: Notifications tab in settings
- Added: Breadcrumb in the single event page
- Added: %%book_time%% place holder to notifications to show start time of the event
- Fixed: Displaying events in Masonry categories
- Fixed: Use read more title in the register button when it is working as read more link
- Fixed: Display the register button in the modern layout when the organizer is hidden
- Fixed: "Load More" button in skins
- Fixed: Google Calendar Export in email notifications

v 4.2.4 – 28 May 2019
- Improved: slider skin by printing the feature image directly
- Fixed: Showing only upcoming events of The Events Calendar for import
- Fixed: Schedule when the event starts at 00:00
- Fixed: Wrong month and year in weekly view search
- Fixed: Search of monthly, daily and weekly skins by searching in the next 6 months if no event found for the current month
- Fixed: PHP notices on weekly, daily and monthly skins 
- Fixed: Notifications and booking module

v 4.2.3 – 21 May 2019
- Compatibility: WordPress 5.2.1
- Added: link to masonry image
- Added: Gutenberg editor to event edit page
- Added: Getting started section to dashboard
- Added: filter to increase/decrease  excerpt lenght
- Fixed: Calculating end date of "Certain Weekdays" events using occurrence count
- Fixed: Frontend Event Submission
- Fixed: Adding a new occurrence date when event reached the end date
- Fixed: Adding wrong end date when event is past
- Fixed: Scheduler for generating start time and end time
- Fixed: Some minor issues

v 4.2.2 – 13 May 2019
- Fixed: Tag filtering issue
- Fixed: Displaying attendee email in attendees module
- Fixed: Google export link to include event description in addition to event title

v 4.2.1 – 7 May 2019
- Added: "attachment_url" to MEC RSS
- Added: Offers (event price) to schema structure
- Fixed: Displaying comment form on MEC pages when comment is disabled
- Fixed: Displaying wrong content and title on the event detail pages
- Fixed: Next event module
- Fixed: Booking form in the modal window
- Fixed: Google Maps module in the modal window
- Fixed: Displaying Total attendees, name , email in notifications
- Fixed: CSV export "unknown" field
- Fixed: Displaying extra fields in booking system
- Fixed: Email in woocommerce paymant
- Fixed: Some minor issues

v 4.2.0 – 30 April 2019
- Compatibility: WordPress 5.2
- Added: Additional Location feature
- Added: MEC_Name and MEC_Email field to edit booking form
- Added: Rearrange ability for booking form fileds (even email or name)
- Added: Date field to booking form
- Added: Upload file field to booking form
- Added: Upload file option to manage MIME types and maximum upload size
- Added: %%event_link%% tag to the notifications
- Added: Norwegian (Bokmål) language
- Fixed: Some issues in RSS feed of events regarding showing content and excerpt
- Fixed: Attached image in frontend submission form
- Fixed: Exporting custom day events to Google Calendar in manual export and automated synchronization

v 4.1.0 – 22 April 2019
- Added: Tag and Speaker filter to shortcodes
- Fixed: Sold out ticket notification
- Fixed: Modal view when Youtube video is in event content
- Fixed: Social network displaying when option is disabled
- Fixed: Search box displaying in shortcodes when all items are disabled
- Fixed: %%event_note%% tag in email
- Fixed: Displaying QR code widget when is deactivate
- Fixed: Displaying variations in booking details page
- Fixed: Conflict on end date and custom days events
- Fixed: Label issue on daily schedule
- Fixed: Undefined issue on custom days for "Frontend Event Submission"
- Fixed: Creating custom days events from frontend
- Fixed: Displaying events of end day of the month on daily, monthly and weekly skins

v 4.0.0 – 14 April 2019
- Refactored: Search system completely
- Improved: Search speed
- Reduced: Number of queries to have better performance
- Fixed: Showing multiple day events till end of event
- Fixed: Occurrences on booking module
- Fixed: Next occurrence date module for multiple day events
- Fixed: Rendering data of some events
- Fixed: Regarding table charset and collate on some hosts
- Fixed: MEC uninstallation
- Fixed: Checking existence of needed tables
- Fixed: Showing all days of multiple events
- Fixed: Import Facebook Image
- Fixed: WPML compatibilty in ajax
- Fixed: Widgets position in single event page (display other widget in MEC sidebar)
- Fixed: Sticky infobar in settings
- Fixed: Display speaker box
- Fixed: Monthly Calendar/Novel responsive
- Fixed: Some PHP notices
- Fixed: Some minor issues

v 3.5.2 – 21 March 2019
- Fixed: Slider view

v 3.5.1 – 20 March 2019
- Fixed: Issue in saving settings
- Fixed: Issue in disable google font
- Fixed: Issue in frontend event submission of custom days event

v 3.5.0 – 16 March 2019
- Added: Facebook events importer
- Added: Activation box in welcome page and removed activation tab from MEC settings
- Added: Ability to define date period for custom days
- Added: Event Schema markup to single page and shortcodes
- Added: Custom Archive Skin feature
- Added: Custom Category Skin feature
- Added: Carousel skin type 4
- Removed: old support page and Added: new one
- Updated: spanish language from lite version repository
- Fixed: Modal booking
- Fixed: link for image in countdown view type 3
- Fixed: Checkout button style

v 3.4.6 – 5 March 2019
- Fixed: Display button in Import/Export tabs.

v 3.4.5 – 27 February 2019
- Added: Disable Google Fonts options due to GDPR
- Added: Search field for settings
- Added: Settings import/export feature
- Added: New Monthly Skin (simple)
- Added: Deactivate MEC lite when Pro is activate
- Changed: settings styles
- Improved: Styling Options
- Fixed: Global ticket variations
- Fixed: Showing end time in local time widget when end time or event time is/are hidden
- Fixed: Showing shortcodes in event excerpt
- Fixed: Not showing event title in novel style of monthly calendar
- Fixed: Ticket time in notifications
- Fixed: CSV export for custom fields
- Fixed: Notifications for full attendee info
- Fixed: Social icons when occurrence is set
- Fixed: Next event module
- Fixed: Showing booking tickets.
- Fixed: Some PHP notices.

v 3.4.0 – 23 January 2019
- Added: Profile shortcode to show user bookings’ details
- Added: Import from Meetup
- Added: Auto sync for importing meetup events
- Added: Ability to remove hourly schedule days
- Added: Ability to change ticket price per date periods
- Fixed: Issue in Meetup and Stripe API
- Fixed: Daily view in mobile and tablet
- Fixed: Custom color in masonry category
- Fixed: Masonry in Elementor tab
- Fixed: Typography issues
- Fixed: Google reCaptcha in Frontend submission form
- Fixed: Booking smooth scroll
- Fixed: Event information displaying order in single event page (default skin)
- Fixed: Date-picker in backend
- Fixed: Display Grid clean and Monthly View when search box is enable
- Fixed: Load languages in Lite version
- Fixed: Load speaker in accordion toggle view
- Fixed: Alt tag for images in Masonry view
- Fixed: Modal view when click on thumbnails
- Fixed: Console error (colorBrightness when no event exists)
- Fixed: HTML tags in paragraph field of booking form both in backend and frontend
- Fixed: Invalid occurrence date in single event pages
- Fixed: Some minor issues

v 3.3.5 – 8 December 2018
- Compatibility: WordPress v5.0
- Improved: WPML Compatibility
- Fixed: Stripe gateway
- Fixed: Exporting custom days events to Google Calendar
- Fixed: Time issue on Google calendar import
- Fixed: Some minor issues

v 3.3.0 – 19 November 2018
- Added: Category filter to the full calendar skin
- Added: Featured and Canceled styles for events with certain labels
- Added: Speakers taxonomy
- Added: Option to disable the speakers feature
- Added: Speakers section to the frontend event submission
- Added: Speakers module to show in default and modern layouts of single event
- Added: Multiple days functionality to the Hourly Schedule
- Added: Speakers option to the hourly schedule
- Added: Global ticket variation options (Pro)
- Added: Ability to change ticket variations per event (Pro)
- Added: Ability to order ticket variations per ticket during booking (Pro)
- Added: Monthly Novel style
- Added: Select monthly style option (Novel and Clean) to Full calendar view
- Added: Select toggle month divider option to List > Accordion view
- Added: Modal feature option to booking in single event page
- Changed: Display of hourly schedule in frontend
- Optimized: The event data rendering
- Fixed: Showing fees and variations meta box when booking module is not enabled (Pro)
- Fixed: URL issue
- Fixed: HTML content of Frontend Event Submission.
- Fixed: Auto update feature for lite version
- Fixed: Month divider issue on list and agenda skins
- Fixed: Ticket availability issue (Pro)
- Fixed: Showing ticket name in booking details page in backend
- Fixed: Typo on exports

v 3.2.0 – 1 October 2018
- Improved: Speed optimization on data rendering of events
- Improved: Speed optimization on next event module
- Improved: Speed optimization on database
- Added: Elementor Shortcode
- Added: Start/End Time for ticket (Pro version)
- Added: iCal file download link in email in settings > notifications (%%ics_link%%)
- Added: Google Calendar link in email in settings > notification (%%google_calendar_link%%)

v 3.1.6 – 10 September 2018
- Fixed: Auto update in PRO version

v 3.1.5 – 9 September 2018
- Fixed: Issue on showing multiple events in unwanted months when the repeat is set to yearly
- Preparation for Gutenberg Editor

v 3.1.4 – 28 August 2018
- Added: VK social sharing
- Fixed: Titles containing '&' when shared via email
- Fixed: Sold-out message when '0' is set for ticket numbers

v 3.1.3 – 21 August 2018
- Fixed: Language pack - you should re-activate plugin in this version (Lite Version)

v 3.1.2 – 31 July 2018
- Fixed: Update from WordPress (Lite Version)

v 3.1.1 –30 July 2018
- Change admin style
- Change MEC Pro links to new URL

v 3.1.0 – 19 July 2018
- Updated: Auto Update

v 3.0.0 – 11 June 2018
- Developed: New "Booking" system
- Added: Option to uncheck agreement field by default
- Added: Feature to booking reminder notification to send booking reminder to all attendees instead of main attendee
- Updated: Translating weekdays on clean style of timetable skin
- Fixed: Creating one Booking Record for each booking and saving attendees in the booking record instead of saving several records for each booking 
- Fixed: Sending one email for each booking instead of sending several emails for bookings with several attendees.
- Fixed: Displaying of price in emails and booking management menu
- Fixed: Adding booking from website backend
- Fixed: The structure of exporting from bookings and compatibility with the new system
- Fixed: Booking Reminder email and compatibility with the new system of attendees saving
- Fixed: Considering rejected bookings as full spot
- Fixed: Displaying value of agreement field in the notifications
- Fixed: Including cancellation link of the booking in booking reminder notification
- Fixed: Google import by cron job
- Fixed: Time convention issue on import from third party plugins
- Fixed: Getting GMT offset for some time-zones
- Fixed: AM/PM issue at importing from "EventOn" plugin
- Fixed: Importing issue from "The events calendar" plugin

v 2.8.0 – 15 May 2018
- Developed: Geolocation feature for map skin
- Developed: Import integration for Calendarize It plugin
- Added: [MEC_invoice_link] shortcode to show the invoice download link in thank you page
- Added: Option for category archive page to show expired events instead of upcoming events
- Added: Option to display price in list skin of full calendar
- Added: Links for images in list and grid skins
- Added: Notification tag to show total attendees of a booking into the admin notification
- Added: WordPress time format for frontend of MEC
- Updated: The customer of Order and Billing Email If they're not set already.
- Updated: Owl carousel to 2.3.4
- Fixed: Not supported language in weather module
- Fixed: HTML encoding on PDF invoice
- Fixed: Category filter on some of skins like agenda skin
- Fixed: Changing the active day in monthly view when new month is loaded
- Fixed: Word wrapping on PDF Invoice
- Fixed: Date in yearly view of full calendar skin when placed as events archive skin
- Fixed: Showing a wrong start / end date when custom days are set as event repeat and the dates are not in correct order
- Fixed: Hide Search Module metabox when the current skin doesn't support search option
- Fixed: PHP notice regarding Getting WooCommerce Order ID
- Fixed: GMT offset rendering
- Fixed: GMT offset to Time-zone convert
- Fixed: "Export to Google Calendar" feature
- Fixed: Image type on iCal export when CDN plugins are installed
- Fixed: Displaying QRCode and Weather modules on event details page when the layout is set to default and single widget is placed into the MEC single sidebar
- Fixed: Settings link in "Installed Plugins" menu
- Fixed: Single widget
- Fixed: RTL in Owl carousel
- Fixed: Daily view skin
- Fixed: Autoplay on mouseleave in Owl carousel
- Fixed: Current month of monthly view when month picker is not available in search options
- Fixed: Frontend booking form
- Applied: some clean coding on list and grid skins

v 2.7.2 – 25 April 2018
- Fixed: Issue in getting original event ID in multilingual websites
- Fixed: line break issue in carousel skin

v 2.7.1 – 23 April 2018
- Added: Import MEC XML Feed feature
- Added: WP Hook to import events programmatically
- Added: filter to cancel redirect upon activating

v 2.7.0 – 19 April 2018
- Added: New feature to cancel the bookings when their related order in WooCommerce is canceled
- Fixed: Issue in emailed invoice links
- Fixed: Loop in carousel
- Fixed: Select 1 ticket in booking form instead of 0 when there is only 1 ticket to book
- Fixed: Timetable skin
- Fixed: Typo issues
- Fixed: PHP notices on map skin
- Fixed: Multiple instance issue of Google Maps in Accordion style of list skin
- Fixed: Booking module issue on Accordion style of list skin
- Fixed: Register menu on Accordion style of list skin
- Improvement: Google Maps
- Improvement: Cleanup the codes to optimize speed and queries
- Updated: Spanish translate (Alexandro Lacadena Gómez)

v 2.6.3 – 28 March 2018
- Added: Container Width option for normal and large screens
- Added: Save Setting notification in backend
- Updated: Language files
- Fixed: Multilingual events for tickets and booking and availability
- Fixed: Display of sharing box in List and Grid type
- Fixed: Some minor issues

v 2.6.2 – 15 March 2018
- Added: "Novel" style in "Grid" view
- Added: Hungarian language (Thanks to Andreas Novotny)
- Fixed: "Autoplay" and "Count in row" in Carousel/Slider
- Fixed: "Coupon" word
- Fixed: Local Time widget style in single events (default view)
- Updated: German translate (Thanks to Jürgen König)
- Updated: Language files

v 2.6.1 – 8 March 2018
- Fixed: jQuery Carousel in Slider Shortcode
- Fixed: jQuery Carousel in MEC Widget

v 2.6.0 – 6 March 2018
- Added: Enable/Disable option for additional organizers so users can disable it completely if they don't need it
- Added: KingComposer shortcode
- Added: Ability to import hourly schedule of event-on plugin
- Improved: Address to geo point convention system to increase its success rate
- Improved: Documentation
- Improved: Google Calendar import process
- Updated: Owl-carousel to version 2.2.1
- Updated: language files
- Fixed: Try to convert the address to latitude and longitude on the single event Google Maps module if the geo point is not set or is invalid
- Fixed: PHP warning on additional organizers
- Fixed: Some issues on share by email feature
- Fixed: Search issue by all items (Category, Organizer, Location, Label) on all skins when some items are predefined in the shortcode generator
- Fixed: Frontend Submission issue in firefox
- Fixed: Empty checkbox style in Booking form
- Fixed: Switcher in backend
- Fixed: Auto Update
- Fixed: Cost field on "Frontend Event Submission"
- Fixed: Some PHP notices in different sections like dashboard
- Fixed: Invoice link on email notifications
- Fixed: Adjusted the font and column size of PDF invoice for ability to show more words
- Fixed: Free spots issue on Available Spot skin
- Fixed: Active date issue on monthly view skin
- Fixed: Modal issue on yearly view skin
- Fixed: Some translation issues
- Fixed: RTL style

v 2.5.0 – 10 February 2018
- Added: Alert for name and emails if they are empty
- Added: "Other Organizers" text to the message options so users are able to change the text to their desired label
- Added: Validation for dropdown fields as well
- Added: Feature to import from third party plugins to import featured image as well
- Improved: UTF-8 support of CSV and MS Excel export
- Fixed: Issue of category link in single skins
- Fixed: Color issue of labels in modern layout of event details page
- Fixed: Offset issue when there are many events on one day
- Fixed: Google error in auto suggestion field when no API key is set
- Fixed: PHP warning in other organizers when debug mode is enabled
- Fixed: Hide "Other organizers" completely when there is no organizer
- Fixed: Some conflicts on total booking limit feature
- Fixed: Some issues on booking form
- Fixed: Issue in not hiding "Load More" button on list / grid and agenda skins
- Fixed: Issue in not appearing "Load More" button on list / grid and agenda skins after search
- Fixed: Wrong link in the settings tabs
- Fixed: Sort by date and time in backend via All Events menu
- Fixed: Some minor issues

v 2.4.0 – 8 January 2018
- Added: Events Schedule WP Plugin third party integration
- Added: Multiple Organizers Feature
- Added: Multiple organizers Feature to Frontend Event Submission
- Added: New style of timetable skin
- Fixed: Bounce animate conflict with Visual Composer
- Fixed: Select box style in Booking from in single event page
- Fixed: A notice in single skin of MEC related to single sidebar
- Fixed: Some minor issues

v 2.3.0 – 12 December 2017
- Added: Import events from eventon plugin.
- Added: Import events from The Events Calendar plugin.
- Added: Masonry skin to available skins.
- Added: Masonry skin to the archive page available skins.
- Added: Ability to import categories of Eventon's and The Events Calendar events' to MEC.
- Fixed: QR Code issue on PDF invoice.
- Fixed: An offset issue that creates duplicate event issue when the shortcode is set to show only expired events.
- Fixed: Duplicate month divider issue on list skin.
- Fixed: Some minor issues.

v 2.2.6 – 21 November 2017
- Fixed: Countdown issue on Edge/IE.

v 2.2.5 – 19 November 2017
- Added: Card holder name to the Stripe payment form.
- Fixed: Two PHP7 compatibility issues on PDF library.
- Fixed: An output issue on get available spots.
- Fixed: Issue in getting draft and waiting events on AJAX Call on all skins.
- Fixed: Issue on downloading event image from Facebook.
- Fixed: Issue in converting location address to latitude / longitude upon updating the location.
- Fixed: Issue of ongoing events in showing multiple days events.
- Fixed: A typo in Google Maps.
- Fixed: A language compatibility issue in weather widget.
- Fixed: Issue of showing -1 instead of "Unlimited" word in booking form in some rare cases.
- Fixed: Some issues regarding total booking limit and ticket availabilities in booking form.
- Fixed: Some issues about validation on booking form.
- Fixed: "th" from countdown default date format.
- Fixed: An issue about coupon limits when bookings are scheduled for future.
- Fixed: Deselected terms in search widget of all skins.
- Fixed: An issue in grid skin for showing multiple events' dates.
- Fixed: Documentation link on welcome page of MEC.
- Fixed: Booking button sync with styling option.
- Fixed: Quick changelog demonstration on update.
- Fixed: An issue regarding single event skins (countdown, cover and available spot skins) when selected event is invalid.
- Updated: Hide empty terms in shortcode menu for simplifying the user experience.
- Updated: Applied some clean coding.

v 2.2.0 – 16 October 2017
- Added: Available spot skin focused on remained tickets.
- Added: Weather Module in all layouts of Event Details page.
- Added: Booking reminder notification to MEC notifications.
- Added: An ability to set different days for booking reminder notification.
- Added: Sn option for disabling "Express Booking Form" (Fill other attendees' information like the first one) feature.
- Fixed: Sn issue regarding custom days events in "Frontend Event Submission"
- Fixed: some minor issues.

v 2.1.0 – 14 September 2017
- Added: Ability to add booking by admin from backend.
- Added: PDF invoice for all bookings.
- Added: "Download Invoice" link to success messages of all payment gateways.
- Added: Variable %%invoice_link%% for booking notifications to insert a link to invoice download page in emails.
- Added: Invoice layout for QR Code module
- Added: Download invoice link to the booking view page in backend.
- Added: QRcode module to all layouts of event details page including default, modern and lightbox layouts.
- Added: Ability to have 100% discount on coupons.
- Added: Expiry date for coupons.
- Added: Target event option for coupons in order to create coupons for certain events.
- Fixed: An issue when client applies multiple coupon code or apply a coupon code multiple times.
- Fixed: An issue regarding importing all day events of Google Calendar.
- Fixed: An issue in Feature image section of "Frontend Event Submission".
- Fixed: An issue in UTF8 font of FPDF library.
- Fixed: Issue of modal method in timetable skin.
- Updated: Applied some clean coding.

v 2.0.5 – 17 August 2017
- Added: timetable skin.
- Added: timetable skin to available archive skins.
- Added: introduce tour help to setting and import export modules.
- Added: two different filters for disabling MEC dashboard elements by third party developers.
- Added: a patch to make sure "New Event" notification don't send in auto drafts.
- Improved: details map scenario to only show the current event instead of all events with same location
- Improved: sort of labels in Add/Edit event page to alphabetical.
- Fixed: some issues regarding week switching in weekly skin and timetable skin.
- Fixed: an issue in countdown module of event details page.
- Fixed: some show date issues on multiple days events in list, grid and carousel skins.
- Fixed: an issue in "Frontend Event Submission" form regarding adding duplicate events.
- Fixed: an encoding issue in iCal export button of frontend and iCal export in backend.
- Fixed: a date issue for multiple days events in clean style of grid skin.
- Fixed: an issue in local time module when the visitor time-zone didn't find.
- Fixed: widget carousel and grid style.
- Fixed: styling issue on slider shortcode.
- Fixed: some minor issues.

v 2.0.1 – 31 July 2017
- Fixed: Backend styling issue.

v 2.0.1 – 28 July 2017
- Fixed: Some minor issues.

v 2.0.0 – 24 July 2017
- Added: Yearly view skin.
- Added: Agenda view skin.
- Added: New setting option framework.
- Added: Individual booking form per event.
- Added: Location auto suggest for address field of location taxonomy.
- Added: "Ticket" and "Tickets" word to translatable messages.
- Added: Feature for using first attendee information for other tickets and don't filling all the tickets.
- Added: A feature for disabling Booking notification form.
- Added: Year skin to the full calendar skin.
- Added: Agreement field for booking form.
- Added: Agenda and Yearly view to the available archive skins.
- Fixed: A quote escape issue on payment HTML comment form.php.
- Fixed: A quote escape issue on Notification subjects.
- Fixed: An issue when start date of skins are set to Today.
- Fixed: Some minor issues.

v 1.9.7 – 14 June 2017
- Added: price to booking related notifications.
- Added: feed support for MEC categories just like MEC events.
- Added: booking price to book exports.
- Added: an option for showing year ranges in the date filter based on "Include Expired Events" and "Show only expired: events" options.
- Added: end dates of multiple day events to most of grid styles.
- Added: a new option for defining static fees to be applied on total amount of booking instead of ticket prices.
- Added: end date for multiple date events to skins: accordion, Grid clean, Grid Modern, Grid Colorful, Carousel Type3.
- Improved: date label function for not showing both of end date and start dates if they're same. Also Added: a class to the end date for using in UI jobs.
- Improved: tickets availability on booking module.
- Fixed: referred date issue on some event types.
- Fixed: an issue in next event module in some rare conditions.
- Fixed: an issue in custom_days events for showing next occurrence in countdown module.
- Fixed: Dutch language issues.
- Fixed: a content display issue on modal and accordion styles.
- Fixed: an offset issue in list and grid skins.
- Fixed: an issue in ticket availability.
- Fixed: an issue in showing attendee name when there are different attendees with same email.
- Fixed: some date and interval issues in Google and Facebook import and auto sync.
- Fixed: an issue in category feeds.
- Fixed: a sorting issue on events.
- Fixed: an issue in sold out message on tickets.
- Fixed: owl carousel conflict with themes slider shortcode and carousel shortcode.
- Fixed: accordion style js issue on multiple shortcodes.
- Fixed: backend label styles.
- Fixed: loader issue with ajax response in all shortcodes.
- Fixed: booking button, google map pins, styling option and booking form css issues.
- Fixed: date and time sorting issue of map module in single event page and map skin.
- Fixed: an issue in calculating availability spot of tickets when a booking canceled.
- Fixed: date option in accordion.
- Fixed: an issue in the event details countdown.

v 1.9.6 – 23 May 2017
- Added: Custom sidebar (ability to change single default widget bar, add and remove default sidebar items and add your own widget to single page (default view).)
- Improved: Single event html (google calendar and iCal).
- Improved: Change order of back-end event filters to alphabetical order instead of order by count.
- Fixed: A date time conversion issue in google calendar import and facebook calendar import that happens in some websites in rare conditions.
- Fixed: Compatibility message on update page.

v 1.9.5.1 – 14 May 2017
- Added: "Only Expired" filter for showing only expired events in following skins: Monthly View, Weekly View, Daily View.
- Added: "Ongoing" filter for showing only ongoing events in list/grid skins.
- Added: "Only Expired" filter for list, grid, full calendar, carousel and slider skins.
- Added: Descending order feature for expired events.
- Improved: "Multiple Day Events" Method and include Slider and Carousel skins.
- Fixed: Next occurence modal style.
- Fixed: Event attende list style.
- Fixed: Issue of disabling previous month button in weekly view.
- Fixed: An issue in calculating available spots of events.
- Fixed: An issue in showing subscribers and contributers in author filter.
- Fixed: Some date issues in weekdays and custom days events.
- Fixed: Don't show ticket when all available spots are sold.
- Fixed: An issue in showing sold out message.
- Fixed: HTML issue on Google Calendar Export.

v 1.9.5 – 9 May 2017
- Added: Toggle List view.
- Added: Reporting Dashboard.
- Added: An option for hiding the events based on Start time (Default Value) , End time ,  1 Hour after start time , 2 Hours after start time.
- Added: Link protocol automatically to organizer if it's not set by client.
- Added: Show end date for multiple day events in carousel skin.
- Added: Message Options :
- Added: Ability to change weekdays abbr
- Added: Ability to change label of taxonomies such as Label, Location, Organizer and Category
- Changed: Single Event Page, Add/Edit event page in backend, Frontend Event Submission, Backend menus, Filter Options in shortcodes menu, Search Form Options in the backend and frontend, All events menu in backend, CSV and MS-Excel exports.
- Fixed: A date issue on modal that created by Next Occurrence method of date.
- Fixed: Showing wrong end date in list/grid skins when all days are set to show instead of first day.
- Fixed: End date issue in iCal export. 
- Fixed: End date issue in Google Calendar link in frontend.
- Fixed: Requred field style in booking form.
- Fixed: List view standard issue style.
- Fixed: Modal counter issues.
- Fixed: Attende module style.
- Fixed: Fes form submit button issue on responsive.
- Fixed: Full Calendar PreLoader isssue in fire fox.
- Updated: German translate.
- Updated: Italian translate.

v 1.9.4.1 – 30 April 2017
- Added: Description field for tickets.
- Fixed: Some issue about modal.

v 1.9.4 – 25 April 2017
- Added: Modal option for list skin (Grid, Daily, Weekly, Monthly, Full calendar).
- Added: Slider view type 5.
- Added: Description field for tickets.
- Fixed: 2 issues in booking export feature when no booking is selected.
- Improved: Show "The event is ongoing." message if the event is started but not finished.
- Improved: "Sold" message if all of event tickets sold instead of showing booking module.
- Fixed: Issue of event title in the modal.
- Fixed: Http:// issue in the more info link.
- Added: Some guide for zoomlevel option of Google Maps in settings menu.

v 1.9.3.1 – 10 April 2017
- Fixed: an issue on some servers when the booking request is too long and server couldn't respond to the long AJAX requests.
- Fixed: issue of WP reset password email issue when the email content type is set to HTML instead of plain text.
- Fixed: an issue in local-time module.
- Fixed: minor css issue.

v 1.9.3 – 06 April 2017
- Added: Local Time module for showing event time based on visitor timezone.
- Added: an option to enable removing MEC Data on uninstall (Disabled by default).
- Added: Guest Email and Name to the FES.
- Added: limitation to attendees module.
- Improved:Show separated price per ticket instead of total price in booking backend menu.
- Improved: MEC update system to don't run when not needed in order to speed up the initialization.
- Fixed: an issue on adding fees price to the booking.
- Fixed: an issue in Custom Days Repeat System.
- Fixed: an issue on exporting exceptional days to Google Calendar.

v 1.9.2 – 15 March 2017
- Added: An ability to import old events from Google Calendar.
- Fixed: A translation issue.
- Fixed: A GMT date issue on Google Calendar and iCal export.
- Fixed: An issue on showing selected color in Frontend Event Submission.
- Fixed: Some front end submisssion ui issue.

v 1.9.1 – 13 March 2017
- Improved: RTL style.
- Fixed: An issue with polylang plugin.
- Fixed: A PHP notice in countdown module.
- Added: Swedish language files (Thanks to Mats).

v 1.9.0 – 6 March 2017
- Added: Auto Synchronization for Google Calendar Import/Export and Facebook Import.
- Added: MEC transaction ID into Stripe description.
- Added: Organizer, Locations, Hourly Schedule, Tickets, Booking Options, Fess/Taxes sections to the Frontend Event Submission.
- Added: ability to disable/enable FES sections from settings menu.
- Fixed: Some issues on Google Calendar and Facebook Calendar Import and Synchronization.
- Fixed: An issue in countdown skin.

v 1.8.8 – 26 February 2017
- Added: Slider Shortcode into predefined shortcodes on plugin activation.
- Hided: organizer element on modern layout if it's not set.
- Fixed: some issues on adding/editing locations and organizers.
- Fixed: owl carousel issue on full calendar skin.
- Fixed: Css issues and countdown issues.

v 1.8.6 – 23 February 2017
- Fixed: JS and CSS Issues.

v 1.8.5 - 22 February 2017
- Added: Ability to import facebook event image as featured image of event in Facebook Importer.
- Added: New auto update and verification
- Added: %%attendee_full_info%% to booking notification email.
- Added: Carousel and slider view auto play time option.
- Added: mailto: and tel: option for organizer email and tel in the single event page.
- Added: Polish language files (Thanks to Łukasz Szmigiel).
- Improved: Settings Form Security.
- Fixed: An XSS issue on the custom styles.
- Fixed: Default issue for single event layout.
- Fixed: A PHP notice issue on single event page.
- Fixed: Issue of not setting Customer on WooCommerce Order when guest user is paying.
- Fixed: Issue of custom days' events for showing main date of event.
- Fixed: Issue of not converting notification new lines to paragraph in MEC Notification system.
- Fixed: 2 notices on PHP7.
- Fixed: Responsive of sliders issues.
- Fixed: Option for date suffix.
- Fixed: Next Event Module.
- Fixed: Flip countdown issues for days more than hundred.
- Fixed: Countdown issues on edge / IE.
- Fixed: Countdown reponsive.
- Fixed: Event title is mandatory on "Frontend Event Submission" form.
- Fixed: A conflict between MEC and WC Strip gateway on Stripe payment form.
- Fixed: Load Google Maps assets (JS and CSS) only when needed instead of loading them always to optimize the speed.
- Fixed: Load OWL assets (JS and CSS) only when needed instead of loading them always to optimize the speed.
- Fixed: A translation issue.
- Fixed: HTML validation.
- Cleanup: On frontend.js codes.
- Updated: Brazilian portuguese language (Thanks to Rodrigues Santana).
- Updated: German language (Thanks to Jürgen König).

v 1.8.0 - 7 February 2017
- Added: WooCommerce Integration.
- Added: Next Event module to be shown on single event page.
- Added: A new style named "Modern" for single events page.
- Added: Full Slider skin.
- Added: Time options to "Frontend Event Submission".
- Added: Ability to set title for gateways to be shown in the checkout form.
- Added: Activate the only gateway in the checkout form if only 1 gateway is enabled.
- Fixed: Fixed an issue in booking dates when some dates excluded from event occurrence dates.
- Fixed: Tags Archive Page issue by adding mec-events CPT into the query.
- Fixed: Issue of changing year when ignore date option is selected.
- Fixed: End date issue when an occurrence is selected.
- Fixed: Some UTC date issues in Add to Google Calendar button and ICS download button in single event page.
- Updated: German language (Thanks to Jurgen).

v 1.7.0 - 18 January 2017
- Added: BuddyPress Integration.
- Added: Showing Attendees list on event details page.
- Added: Add an activity to user BuddyPress profile after booking a new event.
- Added: Stripe Payment Gateway.
- Added: Mailchimp integration to add bookers' data into a certain list with a certain subscription status.
- Added: New flip countdown skin added.
- Added: Event note option for frontend event submission.
- Added: Use Post Excerpt if exists instead of post content in list skin.
- Added: %%event_note%% placeholder for new event notification.
- Added: An ability to place %%event_title%% into title of "admin notification" and "new event" notifications.
- Fixed: Issue about http_build_query function in some servers.
- Improve: Front end submission UX.
- Improve: Search month and date can be ignored.

v 1.6.0 - 3 January 2017
- Added: Google Calendar Integration.
- Added: Ability to import events from Google Calendar.
- Added: Ability to add MEC events directly to Google Calendar.
- Added: Facebook import feature for importing events from a certain Facebook page.
- Added: Russian language. (Thanks to Runa Simi Tours)
- Added: An ability to change countdown main color.
- Added: Ability to export filtered events into CSV, MS Excel, JSON and XML formats.
- Added: Ability to export all events into CSV, MS Excel, JSON and XML formats.
- Added: Ability to change weekdays and weekends.
- Added: A new option to show event date in single event page based on referred date instead of next occurrence.
- Added: Target window option for "Read More Link".
- Added: Thank you page for opening after booking.
- Added: An ability to send "Booking Notification" and "Admin Notification" to event organizer.
- Updated: Sorting system of events.
- Updated: Search form in all skins.
- Fixed: An issue in setting full calendar layout as archive skin.
- Fixed: Issue of showing expired events in map skin.
- Fixed: An Issue about next/previous month navigator in monthly, weekly and daily skins.
- Fixed: Issue of 6th week in weekly view.

v 1.5.1 - 15 December 2016
- Fixed: Countdown Issues.

v 1.5.0 - 14 December 2016
- Added: Carousel skin with 3 different styles.
- Added: Countdown skin with 3 different styles.
- Added: Turkish language. (Thanks to Toptan Bilgisayar)
- Added: Brazilian Portuguese language. (Thanks to Rodriguez)
- Added: Italian language. (Thanks to Michele D'Amico)
- Added: An ability to include custom fields into CSV and MS Excel exports.
- Added: Ability to change date format of booking module.
- Added: Date format option for cover, single and map skins.
- Added: Date format option for carousel, list and grid skins.
- Added: An ability to the event cost to insert texts instead of number.
- Added: A new event repeat option for selecting completely custom days.
- Added: An ability to hide regular events on some certain dates.
- Added: a new option for increasing maximum dates in booking form.
- Added: Mandatory option for check-box and radio buttons in booking form.
- Added: Ability to change booking status form in booking details page.
- Updated: Front-end Submission Form.
- Updated: Change sort method of locations and organizers to alphabetical.
- Fixed: An issue in showing event description in the skins.
- Fixed: An issue in search form.

v 1.4.0 - 25 October 2016
- Added: Full Calendar new skin.
- Added: Search Form ability for all MEC skins.
- Added: Ability to search by category, location, organizer and labels to the search form.
- Added: Text Search option to search form.
- Added: Year and Month filter to search form.
- Added: Ability to disable search fields and search form completely.
- Added: Ability to disable archive event page and replace a normal WordPress page instead.
- Added: Some new options in "Frontend Event Submission" such as categories, labels and event color.
- Added: Optional more info link.
- Updated: List and Grid skins.
- Fixed: An issue about using two different protocols for backend and frontend of WordPress.

v 1.3.6 - 19 October 2016
- Added: German language. (Thanks to Jens)

v 1.3.5 - 11 October 2016
- Added: Ability to upload featured image for events by guest users.
- Added: Lightbox for showing details of events on map skin.
- Added: Auto Update feature by purchase code and security token.
- Added: Duplicate event feature.
- Added: A new option for showing only first day of multiple day events on list/grid skins.
- Updated: "Front-end Event Submission" structure.
- Updated: Map skin Back-end interfaces.
- Fixed: Issue of not showing end date of multiple day events next to start date in single event page and other skins.
- Fixed: Some issues on notifications.
- Fixed: Issue of removing featured image.
- Fixed: Issue of showing past events when "Show Past Event" option is disabled.

v 1.3.0 - 3 October 2016
- Added: French language. (Thanks to Chris van den Berg)
- Added: Dutch (Netherlands) language. (Thanks to Mario Leblanc)
- Added: Category archive skin selector for showing desired skin in category archive pages.
- Added: New colorful style for grid skin.
- Added: An option for disabling loading of Google Maps API for fixing conflicts with other third party themes/plugins.
- Added: A pre-loader style for booking button.
- Fixed: Social buttons issue on iphone.
- Fixed: Issue of empty booking form.
- Fixed: An issue in Google fonts.

v 1.2.5 - 28 September 2016
- Added: A new repeat type for repeating events on certain weekdays.
- Added: An option for showing only first day of multiple day events on the calendars instead of all days.
- Fixed: Issue of invalid currency code for bookings.
- Fixed: An issue in "Add to Google Calendar" button for setting correct time-zone.
- Fixed: Issue of showing all days of multiple day events in list/grid skins.
- Fixed: Calendar/Monthly skin issue.

v 1.2.1 - 26 September 2016
- Fixed: Issue of count-down module in Safari browser.
- Fixed: An issue for showing wrong occurrence date for events.

v 1.2.0 - 25 September 2016
- Added: A new placeholder for showing full attendee data such as name, email and registration form data in the "admin notification email".
- Added: 24 hours format is Added: to backend form and "Front-end Submission Form" as well.
- Added: "Auto Confirm" feature for bookings.
- Added: "Hide end time" feature for events.
- Added: Booking form builder is completely re-developed and optimized.
- Added: Tel and Email fields for Booking form builder.
- Added: Show registration form data in booking view page in back-end.
- Fixed: All day time issue on some skins.
- Fixed: Booking form validation issue.
- Fixed: Date localization issues on daily view.
- Fixed: Issue of hiding notification tab when booking feature is disabled.
- Updated: Applied some clean coding.
- Updated: Backend Design.

v 1.1.0 - 19 September 2016
- Added: "Front-end Event Submission" feature. Now all of your website users are able to post/manage their events from front-end.
- Added: Google re-captcha feature for protecting your website more on booking module and "Front-end Event Submission" feature.
- Added: A new hour format for showing hours based on 24 hour format on front-end in addition to 12 hour format.
- Added: Hundreds of currencies for improving internationalization of Modern Events Calendar.
- Updated: Backend UI design
- Fixed: Some issues on booking module.
- Fixed: Date localization issues. Now, month names, week days etc shows based on current language.
- Fixed: Social icons in grid view

v 1.0.3 - 11 September 2016
- Added: A new feature for changing mec-category slug/permalink to the desired slug/permalink.
- Fixed: A time-zone issue on countdown module.
- Fixed: Some jQuery conflicts.

v 1.0.2 - 07 September 2016
- Fixed: Some conflicts with other plugins.
- Fixed: Broken links on support menu.

v 1.0.1 - 06 September 2016
- Fixed: No event issue on weekly skin.
- Fixed: "0000-00-00" issue for event end date.
- Fixed: Some PHP notices.
- Fixed: Post reset issue on Map skin.

v 1.0.0 - 01 September 2016
- Initial Release